//WATERHIRO made this


#define true 1
#define false 0

#define VSoft 0
#define VArmor 1
#define VAir 2

// type scope
#define private 0
#define protected 1
#define public 2

//#define CanSeeRadar 1
//#define CanSeeEye 2
//#define CanSeeOptics 4
//#define CanSeeEar 8
//#define CanSeeCompass 16
//#define CanSeeRadarC CanSeeRadar+CanSeeCompass
//#define CanSeeAll 31

//#define ReadAndWrite 0 //! any modifications enabled
//#define ReadAndCreate 1 //! only adding new class members is allowed
//#define ReadOnly 2 //! no modifications enabled
//#define ReadOnlyVerified 3 //! no modifications enabled, CRC test applied

//#define LockNo		0
//#define LockCadet	1
//#define LockYes		2

#define WeaponNoSlot		0	// dummy weapons
#define WeaponSlotPrimary	1	// primary weapons
#define WeaponSlotSecondary	4	// secondary weapons
#define WeaponSlotHandGun	2	// HandGun
#define WeaponSlotHandGunItem	16       // HandGun magazines
#define WeaponSlotItem		256	// items
#define WeaponSlotBinocular	4096	// binocular
#define WeaponHardMounted	65536

class CfgPatches {
	class districtmech {
		units[] = {districtmech};
		weapons[] = {aatws};
		requiredVersion = 1.000000;
	       requiredAddons[] = {"CAData","CACharacters","CAWeapons","CASounds","ca_e","CACharacters2"};
	};
        class districtmechAI {
		units[] = {districtmechai};
		weapons[] = {aatws};
		requiredVersion = 1.000000;
	       requiredAddons[] = {"CAData","CACharacters","CAWeapons","CASounds","ca_e","CACharacters2"};
	};
       class minigun
	{
		units[] = {};
		weapons[] = {};
		
	};
       class SMOKE
	{
		units[] = {};
		weapons[] = {};
		
	};
};
class TalkTopics
{
 class Core_E
 {
  class Sentences
  {
   class Approached
   {
    text = "";
    speech[] = {};
    class Arguments{};
   };
   class Withdrawn: Approached{};
   class EnglishQ
   {
    text = "$STR_EP1_ENGLISHQ_1";
    speech[] = {"EnglishQ"};
    class Arguments{};
   };
   class RussianQ
   {
    text = "$STR_EP1_RUSSIANQ_1";
    speech[] = {"RussianQ"};
    class Arguments{};
   };
   class CzechQ
   {
    text = "$STR_EP1_CZECHQ_1";
    speech[] = {"CzechQ"};
    class Arguments{};
   };
   class TakistaniQ
   {
    text = "$STR_EP1_TAKISTANIQ_1";
    speech[] = {"TakistaniQ"};
    class Arguments{};
   };
   class EnglishQRussianQ
   {
    text = "$STR_EP1_ENGLISHQRUSSIANQ_1";
    speech[] = {"EnglishQ","RussianQ"};
    class Arguments{};
   };
   class EnglishQCzechQ
   {
    text = "$STR_EP1_ENGLISHQCZECHQ_1";
    speech[] = {"EnglishQ","CzechQ"};
    class Arguments{};
   };
   class EnglishQTakistaniQ
   {
    text = "$STR_EP1_ENGLISHQTAKISTANIQ_1";
    speech[] = {"EnglishQ","TakistaniQ"};
    class Arguments{};
   };
   class RussianQCzechQ
   {
    text = "$STR_EP1_RUSSIANQCZECHQ_1";
    speech[] = {"RussianQ","CzechQ"};
    class Arguments{};
   };
   class RussianQTakistaniQ
   {
    text = "$STR_EP1_RUSSIANQTAKISTANIQ_1";
    speech[] = {"RussianQ","TakistaniQ"};
    class Arguments{};
   };
   class CzechQTakistaniQ
   {
    text = "$STR_EP1_CZECHQTAKISTANIQ_1";
    speech[] = {"CzechQ","TakistaniQ"};
    class Arguments{};
   };
   class EnglishQRussianQCzechQ
   {
    text = "$STR_EP1_ENGLISHQRUSSIANQCZECHQ_1";
    speech[] = {"EnglishQ","RussianQ","CzechQ"};
    class Arguments{};
   };
   class EnglishQRussianQTakistaniQ
   {
    text = "$STR_EP1_ENGLISHQRUSSIANQTAKISTANIQ_1";
    speech[] = {"EnglishQ","RussianQ","TakistaniQ"};
    class Arguments{};
   };
   class EnglishQCzechQTakistaniQ
   {
    text = "$STR_EP1_ENGLISHQCZECHQTAKISTANIQ_1";
    speech[] = {"EnglishQ","CzechQ","TakistaniQ"};
    class Arguments{};
   };
   class RussianQCzechQTakistaniQ
   {
    text = "$STR_EP1_RUSSIANQCZECHQTAKISTANIQ_1";
    speech[] = {"RussianQ","CzechQ","TakistaniQ"};
    class Arguments{};
   };
  };
  class Arguments{};
  class Special{};
  startWithVocal[] = {};
  startWithConsonant[] = {};
  reactPlayer = "ca\characters_e\data\scripts\reactCore.sqf";
  react = "ca\characters_e\data\scripts\reactCore.fsm";
 };
 class Core_Full_E
 {
  class Sentences
  {
   class TGT_Q_EN
   {
    text = "$STR_EP1_TGT_Q_1";
    speech[] = {"DidYouSeeAnythingRecentlyQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class TGT_A_TargetInfo_EN
   {
    text = "$STR_EP1_TGT_A_TARGETINFO_1";
    speech[] = {"YesISawSomething_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class TGT_A_NoInfo_EN
   {
    text = "$STR_EP1_TGT_A_NOINFO_1";
    speech[] = {"NoIDidntSeeAnything_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_Q_WeatherNeutral_EN
   {
    text = "$STR_EP1_WEA_Q_WEATHERNEUTRAL_1";
    speech[] = {"WhatsTheWeatherForecastQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_Q_WeatherNice_EN
   {
    text = "$STR_EP1_WEA_Q_WEATHERNICE_1";
    speech[] = {"NiceWeatherHuhQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_Q_WeatherBad_EN
   {
    text = "$STR_EP1_WEA_Q_WEATHERBAD_1";
    speech[] = {"NastyWeatherHuhQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_A_WeatherBetter_EN
   {
    text = "$STR_EP1_WEA_A_WEATHERBETTER_1";
    speech[] = {"ShouldBeClearingUpSoon_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_A_WeatherWorse_EN
   {
    text = "$STR_EP1_WEA_A_WEATHERWORSE_1";
    speech[] = {"IReckonWellGetSomeRainSoon_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_A_WeatherSame_EN
   {
    text = "$STR_EP1_WEA_A_WEATHERSAME_1";
    speech[] = {"TheySayItllStayLikeThisForAWhile_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class LOC_Q_EN
   {
    text = "$STR_EP1_LOC_Q_1";
    speech[] = {"WhatsTheClosestSettlementQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class LOC_A_NoInfo1_EN
   {
    text = "$STR_EP1_LOC_A_NOINFO1_1";
    speech[] = {"ImNotFromAroundHere_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class LOC_A_NoInfo2_EN
   {
    text = "$STR_EP1_LOC_A_NOINFO2_1";
    speech[] = {"NoIdeaIDontLiveHere_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_AskedAlready1_EN
   {
    text = "$STR_EP1_A_ASKEDALREADY1_1";
    speech[] = {"YouAlreadyAskedMeThat_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_AskedAlready2_EN
   {
    text = "$STR_EP1_A_ASKEDALREADY2_1";
    speech[] = {"AreYouKiddingQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_AskedAlready3_EN
   {
    text = "$STR_EP1_A_ASKEDALREADY3_1";
    speech[] = {"StopAskingMeThat_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_NotUnderstood1_EN
   {
    text = "$STR_EP1_A_NOTUNDERSTOOD1_1";
    speech[] = {"SorryIDontUnderstand_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_NotUnderstood2_EN
   {
    text = "$STR_EP1_A_NOTUNDERSTOOD2_1";
    speech[] = {"UhWhatQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_IWillOnlyTellYouMyNameRankAndSerialNumber_EN
   {
    text = "$STR_EP1_GRT_IWILLONLYTELLYOUMYNAMERANKANDSERIALNUMBER_1";
    speech[] = {"IWillOnlyTellYouMyNameRankAndSerialNumber_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_SirQ_EN
   {
    text = "$STR_EP1_GRT_SIRQ_1";
    speech[] = {"SirQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_PrivateQ_EN
   {
    text = "$STR_EP1_GRT_PRIVATEQ_1";
    speech[] = {"PrivateQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_CorporalQ_EN
   {
    text = "$STR_EP1_GRT_CORPORALQ_1";
    speech[] = {"CorporalQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_SergeantQ_EN
   {
    text = "$STR_EP1_GRT_SERGEANTQ_1";
    speech[] = {"SergeantQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_LieutenantQ_EN
   {
    text = "$STR_EP1_GRT_LIEUTENANTQ_1";
    speech[] = {"LieutenantQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_CaptainQ_EN
   {
    text = "$STR_EP1_GRT_CAPTAINQ_1";
    speech[] = {"CaptainQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_MajorQ_EN
   {
    text = "$STR_EP1_GRT_MAJORQ_1";
    speech[] = {"MajorQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_ColonelQ_EN
   {
    text = "$STR_EP1_GRT_COLONELQ_1";
    speech[] = {"ColonelQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesPrivate_EN
   {
    text = "$STR_EP1_GRT_YESPRIVATE_1";
    speech[] = {"YesPrivate_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesCorporal_EN
   {
    text = "$STR_EP1_GRT_YESCORPORAL_1";
    speech[] = {"YesCorporal_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesSergeant_EN
   {
    text = "$STR_EP1_GRT_YESSERGEANT_1";
    speech[] = {"YesSergeant_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesLieutenant_EN
   {
    text = "$STR_EP1_GRT_YESLIEUTENANT_1";
    speech[] = {"YesLieutenant_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesCaptain_EN
   {
    text = "$STR_EP1_GRT_YESCAPTAIN_1";
    speech[] = {"YesCaptain_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesMajor_EN
   {
    text = "$STR_EP1_GRT_YESMAJOR_1";
    speech[] = {"YesMajor_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesColonel_EN
   {
    text = "$STR_EP1_GRT_YESCOLONEL_1";
    speech[] = {"YesColonel_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_SoldierQ_EN
   {
    text = "$STR_EP1_GRT_SOLDIERQ_1";
    speech[] = {"SoldierQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_MorninSoldier_EN
   {
    text = "$STR_EP1_GRT_MORNINSOLDIER_1";
    speech[] = {"MorninSoldier_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_EveninSoldier_EN
   {
    text = "$STR_EP1_GRT_EVENINSOLDIER_1";
    speech[] = {"EveninSoldier_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodDaySir_EN
   {
    text = "$STR_EP1_GRT_GOODDAYSIR_1";
    speech[] = {"GoodDaySir_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodEveningSir_EN
   {
    text = "$STR_EP1_GRT_GOODEVENINGSIR_1";
    speech[] = {"GoodEveningSir_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodMorningSir_EN
   {
    text = "$STR_EP1_GRT_GOODMORNINGSIR_1";
    speech[] = {"GoodMorningSir_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodDay_EN
   {
    text = "$STR_EP1_GRT_GOODDAY_1";
    speech[] = {"GoodDay_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodMorning_EN
   {
    text = "$STR_EP1_GRT_GOODMORNING_1";
    speech[] = {"GoodMorning_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodEvening_EN
   {
    text = "$STR_EP1_GRT_GOODEVENING_1";
    speech[] = {"GoodEvening_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_WhatQ_EN
   {
    text = "$STR_EP1_GRT_WHATQ_1";
    speech[] = {"WhatQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesSir_EN
   {
    text = "$STR_EP1_GRT_YESSIR_1";
    speech[] = {"YesSir_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HelloSir_EN
   {
    text = "$STR_EP1_GRT_HELLOSIR_1";
    speech[] = {"HelloSir_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Yep_EN
   {
    text = "$STR_EP1_GRT_YEP_1";
    speech[] = {"Yep_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YeahQ_EN
   {
    text = "$STR_EP1_GRT_YEAHQ_1";
    speech[] = {"YeahQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Hi_EN
   {
    text = "$STR_EP1_GRT_HI_1";
    speech[] = {"Hi_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HiThereE_EN
   {
    text = "$STR_EP1_GRT_HITHEREE_1";
    speech[] = {"HiThereE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HeyMan_EN
   {
    text = "$STR_EP1_GRT_HEYMAN_1";
    speech[] = {"HeyMan_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HiDude_EN
   {
    text = "$STR_EP1_GRT_HIDUDE_1";
    speech[] = {"HiDude_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Hello_EN
   {
    text = "$STR_EP1_GRT_HELLO_1";
    speech[] = {"Hello_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HowsThingsQ_EN
   {
    text = "$STR_EP1_GRT_HOWSTHINGSQ_1";
    speech[] = {"HowsThingsQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HowAreYouQ_EN
   {
    text = "$STR_EP1_GRT_HOWAREYOUQ_1";
    speech[] = {"HowAreYouQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HeyE_EN
   {
    text = "$STR_EP1_GRT_HEYE_1";
    speech[] = {"HeyE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_WhatDoYouWantQ_EN
   {
    text = "$STR_EP1_GRT_WHATDOYOUWANTQ_1";
    speech[] = {"WhatDoYouWantQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_WhatDoYouNeedQ_EN
   {
    text = "$STR_EP1_GRT_WHATDOYOUNEEDQ_1";
    speech[] = {"WhatDoYouNeedQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_WhatsUpQ_EN
   {
    text = "$STR_EP1_GRT_WHATSUPQ_1";
    speech[] = {"WhatsUpQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesQ_EN
   {
    text = "$STR_EP1_GRT_YESQ_1";
    speech[] = {"YesQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_MaamQ_EN
   {
    text = "$STR_EP1_GRT_MAAMQ_1";
    speech[] = {"MaamQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HaveANiceDay_EN
   {
    text = "$STR_EP1_GRT_HAVEANICEDAY_1";
    speech[] = {"HaveANiceDay_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_MorningMaam_EN
   {
    text = "$STR_EP1_GRT_MORNINGMAAM_1";
    speech[] = {"MorningMaam_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HelloThere_EN
   {
    text = "$STR_EP1_GRT_HELLOTHERE_1";
    speech[] = {"HelloThere_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HowYouDoinQ_EN
   {
    text = "$STR_EP1_GRT_HOWYOUDOINQ_1";
    speech[] = {"HowYouDoinQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DontTouchMeE_EN
   {
    text = "$STR_EP1_GRT_DONTTOUCHMEE_1";
    speech[] = {"DontTouchMeE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND1_EN
   {
    text = "$STR_EP1_GRT_DND1_1";
    speech[] = {"NotNowE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND2_EN
   {
    text = "$STR_EP1_GRT_DND2_1";
    speech[] = {"Later_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND3_EN
   {
    text = "$STR_EP1_GRT_DND3_1";
    speech[] = {"NoTimeE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND4_EN
   {
    text = "$STR_EP1_GRT_DND4_1";
    speech[] = {"HushE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND5_EN
   {
    text = "$STR_EP1_GRT_DND5_1";
    speech[] = {"SsshhE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND6_EN
   {
    text = "$STR_EP1_GRT_DND6_1";
    speech[] = {"CantYouSeeImBusyQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND7_EN
   {
    text = "$STR_EP1_GRT_DND7_1";
    speech[] = {"BitOccupiedAtTheMomentDude_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND8_EN
   {
    text = "$STR_EP1_GRT_DND8_1";
    speech[] = {"ImBusyE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND9_EN
   {
    text = "$STR_EP1_GRT_DND9_1";
    speech[] = {"PissOffE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Positive1_EN
   {
    text = "$STR_EP1_GRT_POSITIVE1_1";
    speech[] = {"NiceToSeeYou_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Positive2_EN
   {
    text = "$STR_EP1_GRT_POSITIVE2_1";
    speech[] = {"GoodToSeeYou_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Positive3_EN
   {
    text = "$STR_EP1_GRT_POSITIVE3_1";
    speech[] = {"HeyGladYoureHere_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Positive4_EN
   {
    text = "$STR_EP1_GRT_POSITIVE4_1";
    speech[] = {"CanIHelpYouQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative1_EN
   {
    text = "$STR_EP1_GRT_NEGATIVE1_1";
    speech[] = {"GetLostE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative2_EN
   {
    text = "$STR_EP1_GRT_NEGATIVE2_1";
    speech[] = {"LeaveMeAloneE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative3_EN
   {
    text = "$STR_EP1_GRT_NEGATIVE3_1";
    speech[] = {"LeaveUsAloneE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative4_EN
   {
    text = "$STR_EP1_GRT_NEGATIVE4_1";
    speech[] = {"FuckingPig_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative5_EN
   {
    text = "$STR_EP1_GRT_NEGATIVE5_1";
    speech[] = {"SonOfABitchE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative6_EN
   {
    text = "$STR_EP1_GRT_NEGATIVE6_1";
    speech[] = {"DamnYouE_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Query1_EN
   {
    text = "$STR_EP1_GRT_QUERY1_1";
    speech[] = {"CanIAskYouSomethingQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Query2_EN
   {
    text = "$STR_EP1_GRT_QUERY2_1";
    speech[] = {"PleaseCanYouHelpQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Query3_EN
   {
    text = "$STR_EP1_GRT_QUERY3_1";
    speech[] = {"Speak_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Query4_EN
   {
    text = "$STR_EP1_GRT_QUERY4_1";
    speech[] = {"HelpUs_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Refusal1_EN
   {
    text = "$STR_EP1_GRT_REFUSAL1_1";
    speech[] = {"IWontSayAnotherWord_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Refusal2_EN
   {
    text = "$STR_EP1_GRT_REFUSAL2_1";
    speech[] = {"MindYourOwnBusiness_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Refusal3_EN
   {
    text = "$STR_EP1_GRT_REFUSAL3_1";
    speech[] = {"GoBotherSomeoneElse_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class TGT_Q_TK
   {
    text = "$STR_EP1_TGT_Q_1";
    speech[] = {"DidYouSeeAnythingRecentlyQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class TGT_A_TargetInfo_TK
   {
    text = "$STR_EP1_TGT_A_TARGETINFO_1";
    speech[] = {"YesISawSomething_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class TGT_A_NoInfo_TK
   {
    text = "$STR_EP1_TGT_A_NOINFO_1";
    speech[] = {"NoIDidntSeeAnything_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_Q_WeatherNeutral_TK
   {
    text = "$STR_EP1_WEA_Q_WEATHERNEUTRAL_1";
    speech[] = {"WhatsTheWeatherForecastQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_Q_WeatherNice_TK
   {
    text = "$STR_EP1_WEA_Q_WEATHERNICE_1";
    speech[] = {"NiceWeatherHuhQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_Q_WeatherBad_TK
   {
    text = "$STR_EP1_WEA_Q_WEATHERBAD_1";
    speech[] = {"NastyWeatherHuhQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_A_WeatherBetter_TK
   {
    text = "$STR_EP1_WEA_A_WEATHERBETTER_1";
    speech[] = {"ShouldBeClearingUpSoon_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_A_WeatherWorse_TK
   {
    text = "$STR_EP1_WEA_A_WEATHERWORSE_1";
    speech[] = {"IReckonWellGetSomeRainSoon_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class WEA_A_WeatherSame_TK
   {
    text = "$STR_EP1_WEA_A_WEATHERSAME_1";
    speech[] = {"TheySayItllStayLikeThisForAWhile_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class LOC_Q_TK
   {
    text = "$STR_EP1_LOC_Q_1";
    speech[] = {"WhatsTheClosestSettlementQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class LOC_A_NoInfo1_TK
   {
    text = "$STR_EP1_LOC_A_NOINFO1_1";
    speech[] = {"ImNotFromAroundHere_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class LOC_A_NoInfo2_TK
   {
    text = "$STR_EP1_LOC_A_NOINFO2_1";
    speech[] = {"NoIdeaIDontLiveHere_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_AskedAlready1_TK
   {
    text = "$STR_EP1_A_ASKEDALREADY1_1";
    speech[] = {"YouAlreadyAskedMeThat_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_AskedAlready2_TK
   {
    text = "$STR_EP1_A_ASKEDALREADY2_1";
    speech[] = {"AreYouKiddingQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_AskedAlready3_TK
   {
    text = "$STR_EP1_A_ASKEDALREADY3_1";
    speech[] = {"StopAskingMeThat_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_NotUnderstood1_TK
   {
    text = "$STR_EP1_A_NOTUNDERSTOOD1_1";
    speech[] = {"SorryIDontUnderstand_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_NotUnderstood2_TK
   {
    text = "$STR_EP1_A_NOTUNDERSTOOD2_1";
    speech[] = {"UhWhatQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_IWillOnlyTellYouMyNameRankAndSerialNumber_TK
   {
    text = "$STR_EP1_GRT_IWILLONLYTELLYOUMYNAMERANKANDSERIALNUMBER_1";
    speech[] = {"IWillOnlyTellYouMyNameRankAndSerialNumber_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_SirQ_TK
   {
    text = "$STR_EP1_GRT_SIRQ_1";
    speech[] = {"SirQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_PrivateQ_TK
   {
    text = "$STR_EP1_GRT_PRIVATEQ_1";
    speech[] = {"PrivateQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_CorporalQ_TK
   {
    text = "$STR_EP1_GRT_CORPORALQ_1";
    speech[] = {"CorporalQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_SergeantQ_TK
   {
    text = "$STR_EP1_GRT_SERGEANTQ_1";
    speech[] = {"SergeantQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_LieutenantQ_TK
   {
    text = "$STR_EP1_GRT_LIEUTENANTQ_1";
    speech[] = {"LieutenantQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_CaptainQ_TK
   {
    text = "$STR_EP1_GRT_CAPTAINQ_1";
    speech[] = {"CaptainQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_MajorQ_TK
   {
    text = "$STR_EP1_GRT_MAJORQ_1";
    speech[] = {"MajorQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_ColonelQ_TK
   {
    text = "$STR_EP1_GRT_COLONELQ_1";
    speech[] = {"ColonelQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesPrivate_TK
   {
    text = "$STR_EP1_GRT_YESPRIVATE_1";
    speech[] = {"YesPrivate_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesCorporal_TK
   {
    text = "$STR_EP1_GRT_YESCORPORAL_1";
    speech[] = {"YesCorporal_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesSergeant_TK
   {
    text = "$STR_EP1_GRT_YESSERGEANT_1";
    speech[] = {"YesSergeant_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesLieutenant_TK
   {
    text = "$STR_EP1_GRT_YESLIEUTENANT_1";
    speech[] = {"YesLieutenant_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesCaptain_TK
   {
    text = "$STR_EP1_GRT_YESCAPTAIN_1";
    speech[] = {"YesCaptain_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesMajor_TK
   {
    text = "$STR_EP1_GRT_YESMAJOR_1";
    speech[] = {"YesMajor_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesColonel_TK
   {
    text = "$STR_EP1_GRT_YESCOLONEL_1";
    speech[] = {"YesColonel_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_SoldierQ_TK
   {
    text = "$STR_EP1_GRT_SOLDIERQ_1";
    speech[] = {"SoldierQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_MorninSoldier_TK
   {
    text = "$STR_EP1_GRT_MORNINSOLDIER_1";
    speech[] = {"MorninSoldier_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_EveninSoldier_TK
   {
    text = "$STR_EP1_GRT_EVENINSOLDIER_1";
    speech[] = {"EveninSoldier_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodDaySir_TK
   {
    text = "$STR_EP1_GRT_GOODDAYSIR_1";
    speech[] = {"GoodDaySir_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodEveningSir_TK
   {
    text = "$STR_EP1_GRT_GOODEVENINGSIR_1";
    speech[] = {"GoodEveningSir_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodMorningSir_TK
   {
    text = "$STR_EP1_GRT_GOODMORNINGSIR_1";
    speech[] = {"GoodMorningSir_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodDay_TK
   {
    text = "$STR_EP1_GRT_GOODDAY_1";
    speech[] = {"GoodDay_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodMorning_TK
   {
    text = "$STR_EP1_GRT_GOODMORNING_1";
    speech[] = {"GoodMorning_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_GoodEvening_TK
   {
    text = "$STR_EP1_GRT_GOODEVENING_1";
    speech[] = {"GoodEvening_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_WhatQ_TK
   {
    text = "$STR_EP1_GRT_WHATQ_1";
    speech[] = {"WhatQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesSir_TK
   {
    text = "$STR_EP1_GRT_YESSIR_1";
    speech[] = {"YesSir_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HelloSir_TK
   {
    text = "$STR_EP1_GRT_HELLOSIR_1";
    speech[] = {"HelloSir_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Yep_TK
   {
    text = "$STR_EP1_GRT_YEP_1";
    speech[] = {"Yep_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YeahQ_TK
   {
    text = "$STR_EP1_GRT_YEAHQ_1";
    speech[] = {"YeahQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Hi_TK
   {
    text = "$STR_EP1_GRT_HI_1";
    speech[] = {"Hi_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HiThereE_TK
   {
    text = "$STR_EP1_GRT_HITHEREE_1";
    speech[] = {"HiThereE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HeyMan_TK
   {
    text = "$STR_EP1_GRT_HEYMAN_1";
    speech[] = {"HeyMan_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HiDude_TK
   {
    text = "$STR_EP1_GRT_HIDUDE_1";
    speech[] = {"HiDude_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Hello_TK
   {
    text = "$STR_EP1_GRT_HELLO_1";
    speech[] = {"Hello_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HowsThingsQ_TK
   {
    text = "$STR_EP1_GRT_HOWSTHINGSQ_1";
    speech[] = {"HowsThingsQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HowAreYouQ_TK
   {
    text = "$STR_EP1_GRT_HOWAREYOUQ_1";
    speech[] = {"HowAreYouQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HeyE_TK
   {
    text = "$STR_EP1_GRT_HEYE_1";
    speech[] = {"HeyE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_WhatDoYouWantQ_TK
   {
    text = "$STR_EP1_GRT_WHATDOYOUWANTQ_1";
    speech[] = {"WhatDoYouWantQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_WhatDoYouNeedQ_TK
   {
    text = "$STR_EP1_GRT_WHATDOYOUNEEDQ_1";
    speech[] = {"WhatDoYouNeedQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_WhatsUpQ_TK
   {
    text = "$STR_EP1_GRT_WHATSUPQ_1";
    speech[] = {"WhatsUpQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_YesQ_TK
   {
    text = "$STR_EP1_GRT_YESQ_1";
    speech[] = {"YesQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_MaamQ_TK
   {
    text = "$STR_EP1_GRT_MAAMQ_1";
    speech[] = {"MaamQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HaveANiceDay_TK
   {
    text = "$STR_EP1_GRT_HAVEANICEDAY_1";
    speech[] = {"HaveANiceDay_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_MorningMaam_TK
   {
    text = "$STR_EP1_GRT_MORNINGMAAM_1";
    speech[] = {"MorningMaam_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HelloThere_TK
   {
    text = "$STR_EP1_GRT_HELLOTHERE_1";
    speech[] = {"HelloThere_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_HowYouDoinQ_TK
   {
    text = "$STR_EP1_GRT_HOWYOUDOINQ_1";
    speech[] = {"HowYouDoinQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DontTouchMeE_TK
   {
    text = "$STR_EP1_GRT_DONTTOUCHMEE_1";
    speech[] = {"DontTouchMeE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND1_TK
   {
    text = "$STR_EP1_GRT_DND1_1";
    speech[] = {"NotNowE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND2_TK
   {
    text = "$STR_EP1_GRT_DND2_1";
    speech[] = {"Later_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND3_TK
   {
    text = "$STR_EP1_GRT_DND3_1";
    speech[] = {"NoTimeE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND4_TK
   {
    text = "$STR_EP1_GRT_DND4_1";
    speech[] = {"HushE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND5_TK
   {
    text = "$STR_EP1_GRT_DND5_1";
    speech[] = {"SsshhE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND6_TK
   {
    text = "$STR_EP1_GRT_DND6_1";
    speech[] = {"CantYouSeeImBusyQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND7_TK
   {
    text = "$STR_EP1_GRT_DND7_1";
    speech[] = {"BitOccupiedAtTheMomentDude_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND8_TK
   {
    text = "$STR_EP1_GRT_DND8_1";
    speech[] = {"ImBusyE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_DND9_TK
   {
    text = "$STR_EP1_GRT_DND9_1";
    speech[] = {"PissOffE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Positive1_TK
   {
    text = "$STR_EP1_GRT_POSITIVE1_1";
    speech[] = {"NiceToSeeYou_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Positive2_TK
   {
    text = "$STR_EP1_GRT_POSITIVE2_1";
    speech[] = {"GoodToSeeYou_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Positive3_TK
   {
    text = "$STR_EP1_GRT_POSITIVE3_1";
    speech[] = {"HeyGladYoureHere_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Positive4_TK
   {
    text = "$STR_EP1_GRT_POSITIVE4_1";
    speech[] = {"CanIHelpYouQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative1_TK
   {
    text = "$STR_EP1_GRT_NEGATIVE1_1";
    speech[] = {"GetLostE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative2_TK
   {
    text = "$STR_EP1_GRT_NEGATIVE2_1";
    speech[] = {"LeaveMeAloneE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative3_TK
   {
    text = "$STR_EP1_GRT_NEGATIVE3_1";
    speech[] = {"LeaveUsAloneE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative4_TK
   {
    text = "$STR_EP1_GRT_NEGATIVE4_1";
    speech[] = {"FuckingPig_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative5_TK
   {
    text = "$STR_EP1_GRT_NEGATIVE5_1";
    speech[] = {"SonOfABitchE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Negative6_TK
   {
    text = "$STR_EP1_GRT_NEGATIVE6_1";
    speech[] = {"DamnYouE_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Query1_TK
   {
    text = "$STR_EP1_GRT_QUERY1_1";
    speech[] = {"CanIAskYouSomethingQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Query2_TK
   {
    text = "$STR_EP1_GRT_QUERY2_1";
    speech[] = {"PleaseCanYouHelpQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Query3_TK
   {
    text = "$STR_EP1_GRT_QUERY3_1";
    speech[] = {"Speak_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Query4_TK
   {
    text = "$STR_EP1_GRT_QUERY4_1";
    speech[] = {"HelpUs_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Refusal1_TK
   {
    text = "$STR_EP1_GRT_REFUSAL1_1";
    speech[] = {"IWontSayAnotherWord_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Refusal2_TK
   {
    text = "$STR_EP1_GRT_REFUSAL2_1";
    speech[] = {"MindYourOwnBusiness_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class GRT_Refusal3_TK
   {
    text = "$STR_EP1_GRT_REFUSAL3_1";
    speech[] = {"GoBotherSomeoneElse_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class LocationThis_EN
   {
    text = "";
    speech[] = {};
    class Arguments
    {
     class PLACE0
     {
      type = "place";
      config = "PlaceThis_EN";
     };
    };
   };
   class LocationThis_TK
   {
    text = "";
    speech[] = {};
    class Arguments
    {
     class PLACE0
     {
      type = "place";
      config = "PlaceThis_TK";
     };
    };
   };
  };
  class Arguments
  {
   class PlaceThis_EN
   {
    variant = "##LANG##";
    class Phrases
    {
     class DN
     {
      text = "%PLACE";
      speech[] = {"%PLACE"};
     };
    };
    class PhrasesSpecial{};
    class Directions{};
    textThis = "";
    speechThis[] = {};
    textQueried = "";
    speechQueried[] = {};
   };
   class PlaceThis_TK
   {
    variant = "##LANG##";
    class Phrases
    {
     class DN
     {
      text = "%PLACE";
      speech[] = {"%PLACE"};
     };
    };
    class PhrasesSpecial{};
    class Directions{};
    textThis = "";
    speechThis[] = {};
    textQueried = "";
    speechQueried[] = {};
   };
  };
  class Special{};
  startWithVocal[] = {"hour"};
  startWithConsonant[] = {"europe","university"};
  reactPlayer = "ca\characters_e\data\scripts\reactCore_Full.sqf";
  react = "ca\characters_e\data\scripts\reactCore_Full.fsm";
 };
 class Core_Degenerated_E
 {
  class Sentences
  {
   class A_NotUnderstood1_EN
   {
    text = "$STR_EP1_A_NOTUNDERSTOOD1_1";
    speech[] = {"SorryIDontUnderstand_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_NotUnderstood2_EN
   {
    text = "$STR_EP1_A_NOTUNDERSTOOD2_1";
    speech[] = {"UhWhatQ_EN"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_NotUnderstood1_TK
   {
    text = "$STR_EP1_A_NOTUNDERSTOOD1_1";
    speech[] = {"SorryIDontUnderstand_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
   class A_NotUnderstood2_TK
   {
    text = "$STR_EP1_A_NOTUNDERSTOOD2_1";
    speech[] = {"UhWhatQ_TK"};
    class Arguments
    {
     class PlayerInitiated
     {
      type = "simple";
     };
    };
   };
  };
  class Arguments{};
  class Special{};
  startWithVocal[] = {};
  startWithConsonant[] = {};
  reactPlayer = "ca\characters_e\data\scripts\reactCore_Degenerated.sqf";
  react = "ca\characters_e\data\scripts\reactCore_Degenerated.fsm";
 };
};
class CfgTalkSentences_E
{
 class GRT_Hi
 {
  tags[] = {"greeting","question","answer","neutral","positive","combatantToCombatant","civilianToCivilian","toSameRank","morning","day","night","maleToMale","femaleToMale","maleToFemale","femaleToFemale","notInCombat","notSurrendered","respect"};
 };
 class GRT_WhatQ
 {
  tags[] = {"greeting","answer","negative","combatantToCombatant","civilianToCivilian","toSameRank","day","night","maleToMale","maleToFemale","femaleToFemale","notInCombat","notSurrendered","respect"};
 };
 class GRT_HiThereE
 {
  tags[] = {"greeting","question","answer","positive","combatantToCombatant","civilianToCivilian","toSameRank","morning","day","night","maleToMale","femaleToMale","maleToFemale","femaleToFemale","notInCombat","notSurrendered","respect"};
 };
 class GRT_SirQ
 {
  tags[] = {"greeting","question","answer","neutral","positive","combatantToCombatant","combatantToCivilian","civilianToCombatant","toHigherRank","day","night","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_PrivateQ
 {
  tags[] = {"greeting","question","answer","neutral","positive","combatantToCombatant","toLowerRank","toPRIVATE","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_YesPrivate
 {
  tags[] = {"greeting","answer","neutral","positive","combatantToCombatant","toLowerRank","toPRIVATE","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_CorporalQ
 {
  tags[] = {"greeting","question","answer","neutral","positive","combatantToCombatant","toLowerRank","toCORPORAL","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_YesCorporal
 {
  tags[] = {"greeting","answer","neutral","positive","combatantToCombatant","toLowerRank","toCORPORAL","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_SergeantQ
 {
  tags[] = {"greeting","question","answer","neutral","positive","combatantToCombatant","toLowerRank","toSERGEANT","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_YesSergeant
 {
  tags[] = {"greeting","answer","neutral","positive","combatantToCombatant","toLowerRank","toSERGEANT","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_LieutenantQ
 {
  tags[] = {"greeting","question","answer","neutral","positive","combatantToCombatant","toLowerRank","toLIEUTENANT","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_YesLieutenant
 {
  tags[] = {"greeting","answer","neutral","positive","combatantToCombatant","toLowerRank","toLIEUTENANT","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_CaptainQ
 {
  tags[] = {"greeting","question","answer","neutral","positive","combatantToCombatant","toLowerRank","toCAPTAIN","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_YesCaptain
 {
  tags[] = {"greeting","answer","neutral","positive","combatantToCombatant","toLowerRank","toCAPTAIN","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_MajorQ
 {
  tags[] = {"greeting","question","answer","neutral","positive","combatantToCombatant","toLowerRank","toMAJOR","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_YesMajor
 {
  tags[] = {"greeting","answer","neutral","positive","combatantToCombatant","toLowerRank","toMAJOR","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_ColonelQ
 {
  tags[] = {"greeting","question","answer","neutral","positive","combatantToCombatant","toLowerRank","toCOLONEL","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_YesColonel
 {
  tags[] = {"greeting","answer","neutral","positive","combatantToCombatant","toLowerRank","toCOLONEL","morning","day","evening","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_GoodDaySir
 {
  tags[] = {"greeting","question","answer","positive","combatantToCombatant","civilianToCombatant","toHigherRank","day","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_GoodEveningSir
 {
  tags[] = {"greeting","question","answer","positive","combatantToCombatant","civilianToCombatant","toHigherRank","evening","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_GoodMorningSir
 {
  tags[] = {"greeting","question","answer","positive","combatantToCombatant","civilianToCombatant","toHigherRank","morning","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_SoldierQ
 {
  tags[] = {"greeting","question","answer","neutral","positive","toLowerRank","combatantToCombatant","civilianToCombatant","day","night","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_MorninSoldier
 {
  tags[] = {"greeting","question","answer","positive","toLowerRank","morning","combatantToCombatant","civilianToCombatant","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_EveninSoldier
 {
  tags[] = {"greeting","question","answer","positive","evening","combatantToCombatant","civilianToCombatant","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_WhatDoYouWantQ
 {
  tags[] = {"greeting","answer","negative","civilianToCombatant","combatantToCombatant","day","night","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_WhatDoYouNeedQ
 {
  tags[] = {"greeting","answer","neutral","civilianToCombatant","day","night","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_DND6
 {
  tags[] = {"greeting","answer","neutral","combatantToCombatant","toSameRank","toLowerRank","inCombat","morning","day","evening","night","maleToMale","notSurrendered","respect"};
 };
 class GRT_DND7
 {
  tags[] = {"greeting","answer","positive","combatantToCombatant","toSameRank","toLowerRank","inCombat","morning","day","evening","night","maleToMale","notSurrendered","respect"};
 };
 class GRT_DND8
 {
  tags[] = {"greeting","answer","positive","neutral","combatantToCombatant","toSameRank","toHigherRank","toLowerRank","inCombat","morning","day","evening","night","maleToMale","notSurrendered","respect"};
 };
 class GRT_DND9
 {
  tags[] = {"greeting","answer","negative","combatantToCombatant","toSameRank","toLowerRank","inCombat","morning","day","evening","night","maleToMale","notSurrendered","respect"};
 };
 class GRT_MaamQ
 {
  tags[] = {"greeting","question","answer","neutral","positive","combatantToCivilian","day","night","maleToFemale","notInCombat","notSurrendered","respect"};
 };
 class GRT_DontTouchMeE
 {
  tags[] = {"greeting","answer","negative","civilianToCombatant","day","night","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_YesSir
 {
  tags[] = {"greeting","answer","neutral","positive","combatantToCombatant","toHigherRank","day","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_HelloSir
 {
  tags[] = {"greeting","question","answer","positive","combatantToCivilian","civilianToCombatant","combatantToCombatant","toHigherRank","day","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_Yep
 {
  tags[] = {"greeting","question","answer","neutral","combatantToCombatant","toSameRank","day","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_YeahQ
 {
  tags[] = {"greeting","question","answer","neutral","negative","combatantToCombatant","toSameRank","day","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_DND1
 {
  tags[] = {"greeting","answer","neutral","combatantToCombatant","toSameRank","toLowerRank","inCombat","morning","day","evening","night","maleToMale","notSurrendered","respect"};
 };
 class GRT_DND2
 {
  tags[] = {"greeting","answer","neutral","combatantToCombatant","toSameRank","toLowerRank","inCombat","morning","day","evening","night","maleToMale","notSurrendered","respect"};
 };
 class GRT_DND3
 {
  tags[] = {"greeting","answer","positive","neutral","combatantToCombatant","toSameRank","toHigherRank","toLowerRank","inCombat","morning","day","evening","night","maleToMale","notSurrendered","respect"};
 };
 class GRT_DND4
 {
  tags[] = {"greeting","answer","negative","combatantToCombatant","toSameRank","toLowerRank","inCombat","morning","day","evening","night","maleToMale","notSurrendered","respect"};
 };
 class GRT_DND5
 {
  tags[] = {"greeting","answer","neutral","combatantToCombatant","toSameRank","toLowerRank","inCombat","morning","day","evening","night","maleToMale","notSurrendered","respect"};
 };
 class GRT_Hello
 {
  tags[] = {"greeting","question","answer","neutral","positive","combatantToCombatant","civilianToCivilian","toSameRank","day","evening","night","maleToMale","femaleToMale","maleToFemale","femaleToFemale","notInCombat","notSurrendered","respect"};
 };
 class GRT_GoodDay
 {
  tags[] = {"greeting","question","answer","positive","civilianToCombatant","combatantToCivilian","civilianToCivilian","day","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_GoodMorning
 {
  tags[] = {"greeting","question","answer","positive","civilianToCombatant","combatantToCivilian","civilianToCivilian","morning","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_GoodEvening
 {
  tags[] = {"greeting","question","answer","positive","civilianToCombatant","combatantToCivilian","civilianToCivilian","evening","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_Positive1
 {
  tags[] = {"greeting","question","answer","positive","civilianToCombatant","day","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_Positive2
 {
  tags[] = {"greeting","question","answer","positive","civilianToCombatant","day","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_Positive3
 {
  tags[] = {"greeting","question","answer","positive","civilianToCombatant","day","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_Positive4
 {
  tags[] = {"greeting","question","answer","neutral","positive","civilianToCombatant","day","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_Negative1
 {
  tags[] = {"greeting","question","answer","negative","civilianToCombatant","day","maleToMale","femaleToMale","notInCombat","notSurrendered","noRespect"};
 };
 class GRT_Negative3
 {
  tags[] = {"greeting","question","answer","negative","civilianToCombatant","day","maleToMale","femaleToMale","notInCombat","notSurrendered","noRespect"};
 };
 class GRT_Negative2
 {
  tags[] = {"greeting","question","answer","negative","civilianToCombatant","day","maleToMale","femaleToMale","notInCombat","notSurrendered","noRespect"};
 };
 class GRT_Negative4
 {
  tags[] = {"greeting","question","answer","negative","civilianToCombatant","day","maleToMale","femaleToMale","notInCombat","notSurrendered","noRespect"};
 };
 class GRT_Negative5
 {
  tags[] = {"greeting","question","answer","negative","civilianToCombatant","day","maleToMale","femaleToMale","notInCombat","notSurrendered","noRespect"};
 };
 class GRT_Negative6
 {
  tags[] = {"greeting","question","answer","negative","civilianToCombatant","day","maleToMale","femaleToMale","notInCombat","notSurrendered","noRespect"};
 };
 class GRT_Query1
 {
  tags[] = {"greeting","question","positive","combatantToCivilian","day","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_Query2
 {
  tags[] = {"greeting","question","positive","combatantToCivilian","day","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_Query3
 {
  tags[] = {"greeting","question","negative","combatantToCivilian","morning","day","evening","night","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_Query4
 {
  tags[] = {"greeting","question","negative","combatantToCivilian","morning","day","evening","night","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_Refusal1
 {
  tags[] = {"greeting","answer","positive","neutral","negative","civilianToCombatant","noRespect","morning","day","evening","night","maleToMale","femaleToMale","notInCombat","notSurrendered"};
 };
 class GRT_Refusal2
 {
  tags[] = {"greeting","answer","positive","neutral","negative","civilianToCombatant","noRespect","morning","day","evening","night","maleToMale","femaleToMale","notInCombat","notSurrendered"};
 };
 class GRT_Refusal3
 {
  tags[] = {"greeting","answer","positive","neutral","negative","civilianToCombatant","noRespect","morning","day","evening","night","maleToMale","femaleToMale","notInCombat","notSurrendered"};
 };
 class GRT_WhatsUpQ
 {
  tags[] = {"greeting","question","answer","neutral","combatantToCombatant","civilianToCivilian","toSameRank","day","night","maleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_HowsThingsQ
 {
  tags[] = {"greeting","question","answer","positive","combatantToCombatant","civilianToCivilian","toSameRank","day","night","maleToMale","femaleToMale","maleToFemale","femaleToFemale","notInCombat","notSurrendered","respect"};
 };
 class GRT_HowAreYouQ
 {
  tags[] = {"greeting","question","answer","positive","combatantToCombatant","civilianToCivilian","toSameRank","day","night","maleToMale","femaleToMale","maleToFemale","femaleToFemale","notInCombat","notSurrendered","respect"};
 };
 class GRT_HeyE
 {
  tags[] = {"greeting","question","answer","positive","combatantToCombatant","civilianToCivilian","toSameRank","day","night","maleToMale","femaleToMale","maleToFemale","femaleToFemale","notInCombat","notSurrendered","respect"};
 };
 class GRT_HeyMan
 {
  tags[] = {"greeting","question","answer","positive","combatantToCombatant","civilianToCivilian","toSameRank","day","night","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_HiDude
 {
  tags[] = {"greeting","question","answer","positive","combatantToCombatant","civilianToCivilian","toSameRank","day","night","maleToMale","femaleToMale","notInCombat","notSurrendered","respect"};
 };
 class GRT_IWillOnlyTellYouMyNameRankAndSerialNumber
 {
  tags[] = {"greeting","question","answer","negative","neutral","positive","combatantToCombatant","civilianToCombatant","toSameRank","toLowerRank","toHigherRank","morning","day","evening","night","maleToMale","notInCombat","inCombat","surrendered","respect","noRespect"};
 };
};



class CfgAmmo
{
 class Default;         // External class reference
   
 class BulletBase;      // External class reference


	
	
	class  minigunmag:BulletBase
	{
                hit = 200;
		indirectHit = 25;
		indirectHitRange = 3.000000;
		visibleFire = 100;
		audibleFire = 100;
		visibleFireTime = 10;
		cost = 2;
		airLock = 1;
		tracerColor[]={0.80, 0, 0, 1};
		tracerColorR[]={0.80, 0, 0, 1};
		explosive = 0.1;
		explosionEffects = "ExploAmmoExplosion";
	};
         class smoke: BulletBase
	{
		hit=0;indirectHit=0;indirectHitRange=0;
		model="";
		cost=0;
		simulationStep=0.05;
		soundHit[]={};
		soundFly[]={};
		soundEngine[]={};
		visibleFire=0; 
		audibleFire=0;
		visibleFireTime=0;	
	        explosionEffects = "ExploAmmoExplosion";

           };
       
};

class CfgMagazines
{
	class CA_Magazine;
       
	class minigunmag: CA_Magazine
	{
		
		displayName = 20mm;
		ammo = "minigunmag";
		count =1000;
		initSpeed = 938;
		picture = "\ca\weapons\data\equip\m_30stanag_CA.paa"; 
	};
      class smoke: CA_Magazine
	{
		
		displayName = smoke;
		ammo = "smoke";
		count =20;
		initSpeed = 0;
		picture = "\ca\weapons\data\equip\m_30stanag_CA.paa"; 
	};
        
        
};

class Mode_SemiAuto {};



class Mode_FullAuto: Mode_SemiAuto {};	


class CfgWeapons
{
class Rifle;
//class grenadelauncher;
class minigun:Rifle
 {
  model = "";
  htMin = 1;
  htMax = 420;
  afMax = 0;
  mfMax = 0;
  mFact = 1;
  tBody = 100;
  weaponInfoType = "RscWeaponZeroing";

  class OpticsModes
  {
   class StepScope
   {
    opticsID = 1;
    useModelOptics = 1;
    opticsPPEffects[] = {"OpticsCHAbera1","OpticsBlur1"};
    opticsZoomInit = 0.0553;
    opticsZoomMin = 0.0178;
    distanceZoomMin = 500;
    opticsZoomMax = 0.0553;
    distanceZoomMax = 200;
    memoryPointCamera = "usti hlavne";
    opticsFlare = 1;
    opticsDisablePeripherialVision = 1;
    cameraDir = "";
    visionMode[] = {"Normal"};
    discreteDistance[] = {100,200,300,400,500,600,700,800,900,1000,1100,1200};
    discreteDistanceInitIndex = 4;
   };
  };
 };
 class aatws: minigun
 {
                model = "";
              
		initSpeed=938;
		picture="\districtmech\minigun\w_minigun.paa";
		displayName="M134 Minigun";
  

  
   ReloadmagazineSound[]={"\districtmech\Minigun\s\reload.wav",1.000000,1};
drySound[]={"\districtmech\Minigun\S\empty.wav",1.000000,1};
        
		
		modes[]={"FullAuto"};
		magazines[] = {"minigunmag"};
  modelOptics = "CA\Tracked_E\gunnerOptics_M1A1_2";
  opticsPPEffects[] = {};
  visionMode[] = {"Ti"};
  thermalMode[] = {0,1};
  opticsZoomMax = 0.0755;
  distanceZoomMax = 120;
  opticsZoomMin = 0.0249;
  distanceZoomMin = 400;
  opticsZoomInit = 0.0755;
class FullAuto: Mode_FullAuto 
		{
			sound[]={"\districtmech\minigun\s\minigun.wav",db0,1};
			reloadTime = 0.08;
			ffCount = 30;
			//recoil=Empty;
			//recoilProne = Empty;
                        recoil = "assaultRifleBase";
			recoilProne = "assaultRifleBase";
			dispersion = 0.0035;
			minRange = 2;
			minRangeProbab = 0.1;
			midRange = 50;
			midRangeProbab = 0.7;
			maxRange = 60;  
			maxRangeProbab = 0.05;
		};
  class OpticsModes: OpticsModes
  {
   class HWTS: StepScope
   {
    opticsPPEffects[] = {};
    visionMode[] = {"Ti"};
    thermalMode[] = {0,1};
    discretefov[] = {0.0755,0.0249};
    discreteInitIndex = 0;
    discreteDistance[] = {100,200,300,400,500,600,700,800,900,1000,1100,1200};
    discreteDistanceInitIndex = 2;
   };
  };
 };
        
         class smoke: Rifle
	{
		scope=2;
		displayNameMagazine="smoke";
		shortNameMagazine="smoke";
		displayName="smoke";
		magazineReloadTime=20;
		
		optics=1;
		initSpeed=0;
		modelOptics = "";
		model = "";
	        ReloadmagazineSound[]={"\districtmech\Minigun\s\reload.wav",1.000000,1};
		magazines[] = {"SMOKE"};	
		memoryPointCamera = "usti hlavne";
	
		dispersion=0;
		
		modes[]={"FullAuto"};
		class FullAuto: Mode_FullAuto 
   		{
			
     			displayName="smoke";
			
                       
			sound[]={"\districtmech\minigun\s\SMOKE.OGG",1.000000,1};
			recoil=Empty;
			
			recoilProne = Empty;
			reloadTime = 0.08;
			
			
			
			flash="";
			flashSize="";
			dispersion=0;
		
			ffCount=0;
			
      		};	
	};
        
	
	
  
};

class CfgSkeletons
{
     


         class Head
	{
		isDiscrete = 0;
		skeletonInherit = "";
  	skeletonBones[] =
  	        {
  		"head","camera"
		};
          };
	class districtmech
	{
		isDiscrete = 0;
		skeletonInherit = "";
		skeletonBones[] =
		{ 
			 "Spine3","",           
			 "head","Spine3",
                         
               // Left upper side
			"LeftArm","Spine3",
			"LeftForeArm","LeftArm",
			
			
			
			
		// Right upper side
			"RightArm","Spine3",
			"RightForeArm","RightArm",
						
			

		// Left lower side
			"LeftUpLegRoll","Spine3",
			"LeftLegRoll","LeftUpLegRoll",
			"LeftToeBase","LeftLegRoll",
			

		// Right lower side
			"RightUpLegRoll","Spine3",
			"RightLegRoll","RightUpLegRoll",
			"RightToeBase","RightLegRoll"


			
			
			
			
			
			
		     };
    // location of pivot points (local axes) for hierarchical animation
    pivotsModel="";
	};
  
};
class CfgModels
{
	class Default
	{
		sectionsInherit="";
		sections[] = {};
		skeletonName = "";
	};



       
	class Head: Default
	{
		sections[] =
		{
			"osobnost",
			"brejle"
                        //,"camera"
		};
		skeletonName = "head";
	};
	class ArmaMan : Default
	{
		
 sections[] ={"head_injury","body_injury","l_arm_injury","l_leg_injury","r_arm_injury","r_leg_injury","all","head","Spine3","LeftArm","LeftForeArm","Lefthand","RightArm","Righthand","RightForeArm","LeftUpLegRoll","LeftLeg","RightUpLegRoll","RightLeg","RightLegRoll","RightToeBase","LeftToeBase"};
				
 




	  	skeletonName = "districtmech";
	};
        class districtmech:ArmaMan
            {
sections[] ={"head_injury","body_injury","l_arm_injury","l_leg_injury","r_arm_injury","r_leg_injury","all","head","Spine3","LeftArm","LeftForeArm","Lefthand","RightArm","Righthand","RightForeArm","LeftUpLegRoll","LeftLeg","RightUpLegRoll","RightLeg","RightLegRoll","RightToeBase","LeftToeBase"};
            };
        class districtmechAI:ArmaMan
            {
sections[] ={"head_injury","body_injury","l_arm_injury","l_leg_injury","r_arm_injury","r_leg_injury","all","head","Spine3","LeftArm","LeftForeArm","Lefthand","RightArm","Righthand","RightForeArm","LeftUpLegRoll","LeftLeg","RightUpLegRoll","RightLeg","RightLegRoll","RightToeBase","LeftToeBase"};
            };
	class Vehicle: Default
	{
		sections[] =
		{
			"cislo",
			"grupa",
			"side",
			"sektor",
			"clan",
			"clan_sign",
			"podsvit pristroju",
			"poskozeni",
			"L svetlo",
			"P svetlo",
			"zasleh"
		};
	};
	 class Flag: Default
	{
		sections[] = {"latka"};
	};
	class flag_auto: Flag {};
	class flag_alone: Flag {};
};



class CfgFactionClasses
{
 class districtmechs
 {
  displayName = "district9 Mech";
  priority = 8;
 
 side = 1;
 };
};

class CfgVehicleClasses
{
 class districtmechst
 {
  displayName = "district9 Mech";
 };

};
 class CfgSounds
	{


	class districtmech_allam
		{
   		sound[]={"\districtmech\sound\allam.wav",db5,1};
   		name = "districtmech_allam";
   		titles[] = {};
		};
	};

class CfgVehicles
{
            class Land;
            class Man: Land
           {
             
             class AnimationSources;
           };
            class CAManBase:man
           {
             
             
             class talkoptics
             {
             core="core_e";
             core_en="core_degenerated_e"; 
              
             };
              
	   };
	    class US_Soldier_EP1;
	    class US_Soldier_Medic_EP1;
	    class US_Soldier_Sniper_EP1;
            class US_Soldier_MG_EP1;


          class districtmech: US_Soldier_EP1
           
	

	

             {
	     
		woman = 0;
		weaponSlots = WeaponSlotPrimary + WeaponSlotSecondary + 12*WeaponSlotItem + 2*WeaponSlotBinocular + WeaponSlotHandGun + 8*WeaponSlotHandGunItem;
		side=1;
                model = "\districtmech\districtmech.p3d";
                moves="CfgMovesdistrictmech";
		scope=2;
		type=VArmor;
               
		vehicleClass ="districtmechst";
                faction = districtmechs;
                displayName = "district9 Mech";
		cost=60000;
		//scope = public;
		
		faceType = "Man";
                identityTypes[] = {"Language_EN_EP1"};
                 armor=600;
		CanSeeAll=true;  
		
		nightVision=true;
                canDeactivateMines=true;
		hiddenselections[] ={"all"};
                
                hiddenSelectionsTextures[] = {"\districtmech\district.paa"};

             
		
		threat[] = {0.900000,0.700000,0.300000};
                


                canCarryBackPack = 1;
             
               
                //camouflage = 0.8;
                accuracy = 1000;
                sensitivity = 4;           //*
                nameSound = "veh_mgunner";
              
                
                
                weapons[] = {"aatws","NVGoggles"};
                magazines[] = {"minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","smoke"};
                respawnweapons[] ={"aatws","NVGoggles"};
                respawnmagazines[] ={"minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","smoke"};
                
                
		soundEnviron[]={"\districtmech\sound\action.ogg",1.000000,1};
		soundEngine[] = {"\districtmech\sound\action.ogg",1.000000,1};
		additionalSound[] = {"\ca\characters\Data\sound\noise", db-120, 1};
                
                class soundEnvironExt
                {
		normal[] = {{"\districtmech\sound\action.ogg",1.000000,1}};
		road[] ={{"\districtmech\sound\walk.ogg",1.000000,1}};
		grass[] ={{"\districtmech\sound\walk.ogg",1.000000,1}};
                sprint[] = {{"\districtmech\sound\run.ogg",1.000000,1}};
		crawl[] ={{"\districtmech\sound\action.ogg",1.000000,1}};
		standup[] ={{"\districtmech\sound\action.ogg",1.000000,1}};
                laydown[] = {{"\districtmech\sound\action.ogg",1.000000,1}};
		bodyfall[] ={{"\districtmech\sound\fall.ogg",1.000000,1}};
		swim[] ={{"\districtmech\sound\walk.ogg",1.000000,1}};
                slide[] = {{"\districtmech\sound\walk.ogg",1.000000,1}};
		ladder[] ={{"\districtmech\sound\walk.ogg",1.000000,1}};
		run[] ={{"\districtmech\sound\walk.ogg",1.000000,1}};
                smoke[]={{"\districtmech\minigun\s\SMOKE.OGG",1.000000,1}};
               // Engine[] ={{"\districtmech\sound\action.ogg",1.000000,1}};
		};         
		
                language[]={"en"};
                
               
              

                class TalkTopics: TalkTopics
               {
                 core_en = "Core_Full_E";
               };
               languages[] = {"EN"};

                class SpeechVariants
               {
                class Default
               {
                speechSingular[] = {"veh_mgunner"};
                speechPlural[] = {"veh_mgunners"};
               };
                class EN: Default{};
                class CZ
                {
                speechSingular[] = {"veh_mgunner_CZ"};
                speechPlural[] = {"veh_mgunners_CZ"};
                };
                class CZ_Akuzativ
                {
                speechSingular[] = {"veh_mgunner_CZ4P"};
                speechPlural[] = {"veh_mgunners_CZ4P"};
                };
                 class RU
                   {
               speechSingular[] = {"veh_mgunner_RU"};
                speechPlural[] = {"veh_mgunners_RU"};
                 };
               };
            

         
         
             class useractions
		{
			 
			class ghost
				{
				displayName="Ghost";
				position="pos driver";
				radius=3;
				condition="(this hasweapon ""aatws"")  && alive this ";
				statement="[this,(primaryWeapon this)] exec ""\districtmech\Scripts\ghost.sqs"" ";
			        onlyforplayer = true; 
                                };
			
                         class normal
				{
				displayName="Normal";
				position="pos driver";
				radius=3;
				condition="(this hasweapon ""aatws"")  && alive this ";
				statement="[this,(primaryWeapon this)] exec ""\districtmech\Scripts\normal.sqs"" ";
			        onlyforplayer = true; 
                                };
                      
			
                        class smoke
			{
				displayName="smoke(All)";
				position="pos driver";
				radius=3;
				condition="(this hasweapon ""aatws"")  && alive this ";
				statement="[this,(primaryWeapon this)] exec ""\districtmech\Scripts\smoke.sqs"" ";
			        onlyforplayer = true; 

                               
                        };
			class smokeR
			{
				displayName="smoke(Right)";
				position="pos driver";
				radius=3;
                                condition="(this hasweapon ""aatws"")  && alive this ";
				statement="[this,(primaryWeapon this)] exec ""\districtmech\Scripts\smoker.sqs"" ";
                                onlyforplayer = true; 		
			};
			class smokeL
			{
				displayName="smoke(Left)";
				position="pos driver";
				radius=3;
                                condition="(this hasweapon ""aatws"")  && alive this ";
				statement="[this,(primaryWeapon this)] exec ""\districtmech\Scripts\smokel.sqs"" ";
                                onlyforplayer = true;
			                             	
			};
                        
                       
                      
		};
   
            class Wounds {
			tex[] = {"\districtmech\ghost.paa","\districtmech\ghost_i.paa"};
                        mat[] = {};
		       };  
           
 
            class EventHandlers
		{   
                      
	     fired = "if(isnil""minigunmag"")then{call compilepreprocessFile ""\districtmech\minigun\FX\minigunfx.sqf""};";
             hit= "_this exec ""\districtmech\Scripts\damage.sqs"";if(isnil""minigunmag"")then{call compilepreprocessFile""\districtmech\scripts\smoket2.sqf""};if(isnil""minigunmag"")then{call compile preprocessFile""\districtmech\scripts\smoket.sqf""};";
             incomingMissile ="_this exec ""\districtmech\Scripts\damage.sqs"";_this exec ""\districtmech\Scripts\flare.sqs"";_this exec ""\districtmech\Scripts\flarejam.sqs"";";
       };
             
   };
	 class districtmechAI:  US_Soldier_MG_EP1
           
	

	

             {
	        
		woman = 0;
		weaponSlots = WeaponSlotPrimary + WeaponSlotSecondary + 12*WeaponSlotItem + 2*WeaponSlotBinocular + WeaponSlotHandGun + 8*WeaponSlotHandGunItem;
		side=1;
                model = "\districtmech\districtmech.p3d";
                moves="CfgMovesdistrictmech";
		scope=2;
		type=VArmor;
               
		vehicleClass ="districtmechst";
                faction = districtmechs;
                displayName = "district9 Mech(AI)";
		cost=60000;
		//scope = public;
		
		faceType = "Man";
                identityTypes[] = {"Language_EN_EP1"};
                 armor=600;
		CanSeeAll=true; 
		
		nightVision=true;
                canDeactivateMines=true;
		hiddenselections[] ={"all"};
                
                hiddenSelectionsTextures[] = {"\districtmech\district.paa"};

             
		
		threat[] = {0.900000,0.700000,0.300000};
                


                canCarryBackPack = 1;
             
               
                //camouflage = 0.8;
                accuracy = 1000;
                sensitivity = 4;           //*
                nameSound = "veh_mgunner";
              
                
                
                weapons[] = {"aatws","NVGoggles"};
                magazines[] = {"minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","smoke"};
                respawnweapons[] ={"aatws","NVGoggles"};
                respawnmagazines[] ={"minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","minigunmag","smoke"};
                
              
                
		soundEnviron[]={"\districtmech\sound\action.ogg",1.000000,1};
		soundEngine[] = {"\districtmech\sound\action.ogg",1.000000,1};
		additionalSound[] = {"\ca\characters\Data\sound\noise", db-120, 1};
                
                class soundEnvironExt
                {
		normal[] = {{"\districtmech\sound\action.ogg",1.000000,1}};
		road[] ={{"\districtmech\sound\walk.ogg",1.000000,1}};
		grass[] ={{"\districtmech\sound\walk.ogg",1.000000,1}};
                sprint[] = {{"\districtmech\sound\run.ogg",1.000000,1}};
		crawl[] ={{"\districtmech\sound\action.ogg",1.000000,1}};
		standup[] ={{"\districtmech\sound\action.ogg",1.000000,1}};
                laydown[] = {{"\districtmech\sound\action.ogg",1.000000,1}};
		bodyfall[] ={{"\districtmech\sound\fall.ogg",1.000000,1}};
		swim[] ={{"\districtmech\sound\walk.ogg",1.000000,1}};
                slide[] = {{"\districtmech\sound\walk.ogg",1.000000,1}};
		ladder[] ={{"\districtmech\sound\walk.ogg",1.000000,1}};
		run[] ={{"\districtmech\sound\walk.ogg",1.000000,1}};
                smoke[]={{"\districtmech\minigun\s\SMOKE.OGG",1.000000,1}};
               // Engine[] ={{"\districtmech\sound\action.ogg",1.000000,1}};
		};         
		
                language[]={"en"};
                
               
              

                class TalkTopics: TalkTopics
               {
                 core_en = "Core_Full_E";
               };
               languages[] = {"EN"};

                class SpeechVariants
               {
                class Default
               {
                speechSingular[] = {"veh_mgunner"};
                speechPlural[] = {"veh_mgunners"};
               };
                class EN: Default{};
                class CZ
                {
                speechSingular[] = {"veh_mgunner_CZ"};
                speechPlural[] = {"veh_mgunners_CZ"};
                };
                class CZ_Akuzativ
                {
                speechSingular[] = {"veh_mgunner_CZ4P"};
                speechPlural[] = {"veh_mgunners_CZ4P"};
                };
                 class RU
                   {
               speechSingular[] = {"veh_mgunner_RU"};
                speechPlural[] = {"veh_mgunners_RU"};
                 };
               };
             
        


         
		
             

            class Wounds {
			    tex[] = {"\districtmech\ghost.paa","\districtmech\ghost_i.paa"};
                        mat[] = {};
		       };         
			
           
 
            class EventHandlers
		{  
                      
	      init = "_this exec ""\districtmech\Scripts\districtmechAI.sqs"";"
            
             fired = "_this exec ""\districtmech\Scripts\districtfire.sqs"";if(isnil""minigunmag"")then{call compilepreprocessFile ""\districtmech\minigun\FX\minigunfx.sqf""};";
             hit= "_this exec ""\districtmech\Scripts\damage.sqs"";if(isnil""minigunmag"")then{call compile preprocessFile""\districtmech\scripts\smoket2.sqf""};if(isnil""minigunmag"")then{call compile preprocessFile""\districtmech\scripts\smoket.sqf""};";
             incomingMissile ="_this exec ""\districtmech\Scripts\damage.sqs"";_this exec ""\districtmech\Scripts\flare.sqs"";_this exec ""\districtmech\Scripts\flarejam.sqs"";";
       };
             
   };
				 
 
};


class CfgMovesdistrictmech
 {
 access = 3;
 skeletonName = "districtmech";
 collisionVertexPattern[] = {};
 collisionGeomCompPattern[] = {};
class ManActions 
 {
                        stop="";
			default="";
			walkF="";
			
			walkL="";
			walkR="";
			
			walkB="";
			slowF="";
			
			
			slowL="";
			slowR="";
			
		
			
			slowB="";
			
                        fastF="";
			
			fastL="";
			fastR="";
			
			fastB="";
			down="";
                        PlayerStand = "";
                        PlayerCrouch = "";
                        PlayerProne = "";
			up="";
			weaponOn="";
			weaponOff="";
			binocOn="";
			binocOff="";
			
			strokeFist="";
			strokeGun="";
			lying="";
			combat="";
			crouch="";
			stand="";
			reloadMagazine="";
			reloadMGun="";
			reloadMortar="";
				
		
		
		
		
		
		weaponIK = 0;
		
		forceAim = 0;
	                useFastMove = 0;		
			throwGrenade="";
			turnL="";
			turnR="";
			getInCar="";
			getOutCar="";
			getInTank="";
			getOutTank="";
			sitDown="";
			salute="";
			
			die="";
			takeFlag="";
			putDown="";
			
			
 };

//WATERHIRO made this



	class Actions
	{
		
		class NoActions: ManActions
		{
			
			ladderOnDown = "stand";
			ladderOnUp = "stand";
	               
	                turnSpeed = 1;
			upDegree = -1;
			
			leanRRot = 0;
			leanRShift = 0;
			leanLRot = 0;
			leanLShift = 0;
			useFastMove = 0;
			
			
			limitFast = 5;
		};
		class DeadActions: NoActions
		{
			upDegree="ManPosDead";
		};
		
		
		class districtmechActions: manActions
		{
			stop="Combat";
			default="Combat";
			stopRelaxed="combat";
                        
                        combat="Combat";
			reloadMagazine="ReloadMagazine";
			weaponOn="Combat";
                        weaponOff="Combat";
                        
			walkF="walkf";
			
			walkL="leanl";
			walkR="leanr";
			
			walkB="walkb";

			slowF="walkf";
			
			slowL="walkl";
			slowR="walkr";
			
			slowB="walkb";

			fastF="fastf";
			
			fastL="walkl";
			fastR="walkr";
			
			fastB="walkb";

			down="crouch";
			up="up";
                        PlayerStand = "stand";
                        PlayerCrouch = "lying";
                        PlayerProne = "crouch";
			
			lying="crouch";
			
			crouch="lying";
			stand="stand";
			

			die="standDead";
			
                       
			binocOn="stand";
			binocOff="stand";
                        

			
			medic ="stand";
			treated ="stand";
			

			

			turnL="turnl";
			turnR="turnr";
			turnLRelaxed="turnl";
			turnRRelaxed="turnr";

			getInCar="stand";
			getOutCar="stand";
			getInTank="stand";
			getOutTank="stand";

			turnSpeed = 8;
			limitFast = 5.5;

			upDegree="ManPosCombat";
		};
		class CombatStandingUpActions : districtmechActions
		{
			die="LyingDead";
		};
               class districtmechlyingActions: districtmechActions
		{
			
                        stop="lying";
			default="lying";
                        stopRelaxed="lying";   //*
			combat="Combat";
			weaponOn="Combat";
                        weaponOff="Combat";
                        walkF="walkf";
			 
			walkL="leanl";
			walkR="leanr";
			
			walkB="walkb";

			slowF="walkf";
			
			slowL="walkl";
			slowR="walkr";
			
			slowB="walkb";

			fastF="fastf";
			
			fastL="walkl";
			fastR="walkr";
			
			fastB="walkb";

			down="lying";
			up="lying";
			lying="lying";


			turnL="turnl";
			turnR="turnr";
		
			die="standdead";
			
			limitFast=5.500000;
			putDown ="lying";
		        
			//treated="Treatedlying";
			turnSpeed=3;
                        upDegree = "";
			//upDegree = "ManPosLying";
		        //upDegree="ManPoscombat";
                  };
             
              class districtmechfastfActions: districtmechActions
		{
			stop="fastf";
			default="fastf";
                        stopRelaxed="fastf";    //*
			combat="Combat";
			weaponOn="Combat";
                        weaponOff="Combat";
                        walkF="walkf";
			
			walkL="leanl";
			walkR="leanr";
			
			walkB="walkb";

			slowF="walkf";
			
			slowL="walkl";
			slowR="walkr";
			
			slowB="walkb";

			fastF="fastf";
			
			fastL="walkl";
			fastR="walkr";
			
			fastB="walkb";

			down="crouch";
			up="fastf";
			lying="crouch";


			turnL="turnl";
			turnR="turnr";
			turnspeed=5;
			die="standdead";
			
			limitFast=5.500000;
			putDown ="crouch";
		        upDegree="ManPosCombat";
			
		};
              class districtmechsmokeanimActions: districtmechActions
		{
			stop="smokeanim";
			default="smokeanim";
                        stopRelaxed="SMOKEANIM";    //*
			combat="Combat";
			weaponOn="Combat";
                        weaponOff="Combat";
                        walkF="walkf";
		     
			walkL="leanl";
			walkR="leanr";
			
			walkB="walkb";

			slowF="walkf";
			
			slowL="walkl";
			slowR="walkr";
			
			slowB="walkb";

			fastF="fastf";
			
			fastL="walkl";
			fastR="walkr";
			
			fastB="walkb";

			down="crouch";
			up="fastf";
			lying="crouch";


			turnL="turnl";
			turnR="turnr";
			turnspeed=5;
			die="standdead";
			
			limitFast=5.500000;
			putDown ="crouch";
		        upDegree="ManPostand";
			
		};
            class districtmechsmokeranimActions: districtmechActions
		{
			stop="smokeranim";
			default="smokeranim";
                        stopRelaxed="SMOKErANIM";    //*
			combat="Combat";
			weaponOn="Combat";
                        weaponOff="Combat";
                        walkF="walkf";
			
			walkL="leanl";
			walkR="leanr";
			
			walkB="walkb";

			slowF="walkf";
			
			slowL="walkl";
			slowR="walkr";
			
			slowB="walkb";

			fastF="fastf";
			
			fastL="walkl";
			fastR="walkr";
			
			fastB="walkb";

			down="crouch";
			up="fastf";
			lying="crouch";


			turnL="turnl";
			turnR="turnr";
			turnspeed=5;
			die="standdead";
			
			limitFast=5.500000;
			putDown ="crouch";
		        upDegree="ManPosStand";
			
		};
            class districtmechsmokelanimActions: districtmechActions
		{
			stop="smokelanim";
			default="smokelanim";
                        stopRelaxed="SMOKElANIM";    //*
			combat="Combat";
			weaponOn="Combat";
                        weaponOff="Combat";
                        walkF="walkf";
			
			walkL="leanl";
			walkR="leanr";
			
			walkB="walkb";

			slowF="walkf";
			
			slowL="walkl";
			slowR="walkr";
			
			slowB="walkb";

			fastF="fastf";
			
			fastL="walkl";
			fastR="walkr";
			
			fastB="walkb";

			down="crouch";
			up="fastf";
			lying="crouch";


			turnL="turnl";
			turnR="turnr";
			turnspeed=5;
			die="standdead";
			
			limitFast=5.500000;
			putDown ="crouch";
		        upDegree="ManPosStand";
			
		};
        class districtmechcrouchActions: districtmechActions
		{
			stop="crouch";
			default="crouch";
                        stopRelaxed="crouch";    //*
			combat="Combat";
			weaponOn="Combat";
                        weaponOff="Combat";
                        walkF="walkf";
			
			walkL="leanl";
			walkR="leanr";
			
			walkB="walkb";

			slowF="walkf";
			
			slowL="walkl";
			slowR="walkr";
			
			slowB="walkb";

			fastF="fastf";
			
			fastL="walkl";
			fastR="walkr";
			
			fastB="walkb";

			down="crouch";
			up="crouch";
			lying="crouch";


			turnL="turnl";
			turnR="turnr";
			
			die="standdead";
			
			limitFast=5.500000;
			putDown ="crouch";
                        //treated="TreatedLying";
			turnSpeed=3;
			//upDegree="";
                        //upDegree = "ManPosLying";
		        //upDegree="ManPosStand";
			 upDegree = "";
		};
		class StandActions: manActions
		{
			stop="stand";
			default = "stand";
                        stopRelaxed="stand";    //*
                        combat="Combat";
			weaponOn="Combat";
                        weaponOff="Combat";
                        walkF="walkf";
			
			walkL="leanl";
			walkR="leanr";
			
			walkB="walkb";

			slowF="walkf";
			
			slowL="walkl";
			slowR="walkr";
			
			slowB="walkb";

			fastF="fastf";
			
			fastL="walkl";
			fastR="walkr";
			
			fastB="walkb";

			down="crouch";
			up="up";

			

			binocOn="stand"
			binocOff="stand"

			

			strokeFist = "stand";
			strokeGun = "stand";
                        PlayerStand = "stand";
                        PlayerCrouch = "lying";
                        PlayerProne = "crouch";
			
			lying="crouch";
			
			crouch="lying";
			
			stand="stand";
			standLying="lying";
			

			

			turnL="turnl";
			turnR="turnr";

			getInCar="stand";
			getOutCar="stand";
			getInTank="stand";
			getOutTank="stand";

			sitDown="stand";
			salute="stand";

			turnSpeed = 4;
			limitFast = 2.5;

			die="standDead";
			takeFlag ="stand";
			putDown ="crouch";
                        upDegree="ManPosStand";
			
		};
		class StandStillActions: StandActions
		{
			stop = "EffectStandstill";
			default = "EffectStandstill";
		};
		
		class StandTalkActions: StandActions
		{
			stop="EffectStandTalk";
			default="EffectStandTalk";
		};


		
		
		class StandStandActions: StandActions
		{
			stop = "EffectStand";
			default = "EffectStand";
		};
		
		
		
        };
	class BlendAnims
	{
		aimingDefault[]={};
		legsDefault[]={};
		headDefault[]={};
		aimingLying[]={};
		aimingNo[]={};
		legsNo[]={};
		headNo[]={};
	};
	class Default
	{
                access = 3;
		actions="standActions";
		file="";
		looped = 1;
		speed = 0.5;
		disableWeapons = 0;
		enableOptics = 1;
		disableWeaponsLong = 0;
		showWeaponAim = 1;
		enableMissile = 0;
		enableBinocular = 0;
		showItemInHand = 0;
		showItemInRightHand = 0;
		showHandGun = 0;
		onLandBeg = 0;
		onLandEnd = 0;
		onLadder = 0;
		canPullTrigger = 0;
		duty = -0.5;
		visibleSize = 0.75012;
		aimPrecision = 1;
		camShakeFire = 1;
		relSpeedMin = 1;
		relSpeedMax = 1;
		soundEnabled = 1;
		soundOverride = "";
		soundEdge[] = {0.5, 1};
		terminal = 0;
		limitGunMovement = 1;
		variantsPlayer[] = {};
		variantsAI[] = {""};
		equivalentTo = "";
		connectAs = "";
		variantAfter[] = {5, 10, 20};
		connectFrom[] = {};
		connectTo[] = {};
		interpolateWith[] = {};
		interpolateTo[] = {};
		interpolateFrom[] = {};
		aiming = "aimingDefault";
		aimingBody = "aimingUpDefault";
		leaning = "leaningDefault";
		legs = "legsDefault";
		head = "headDefault";
		leaningFactorBeg = 0;
		leaningFactorEnd = 0;
		leaningFactorZeroPoint = -1;
		interpolationSpeed = 6;
		interpolationRestart = 0;
		enableDirectControl = 1;
		headBobMode = 0;

		headBobStrength = 0;
		collisionShape = "";
		hasCollShapeSafe = 0;
		collisionShapeSafe = "";
		boundingSphere = 1;
		enableAutoActions = 0;
		leftHandIKBeg = 0;
		leftHandIKEnd = 0;
		rightHandIKBeg = 0;
		rightHandIKEnd = 0;
		leftHandIKCurve[] = {};
		rightHandIKCurve[] = {};
		weaponIK = 0;
		preload = 0;
		walkcycles = 1;
		forceAim = 0;

        };
          class DefaultDie : Default
	{
		limitGunMovement=0;
		aiming="aimingNo";
		legs="legsNo";
		head="headNo";
		
		interpolationRestart=1;
		soundOverride="fallbody";
		soundEdge1=0.450000;
		soundEdge2=0.450000;
	};

	class States
	{
		
		class Combat : Default
		{
			actions="districtmechActions";
			file="\districtmech\ANIM\STAND.rtm";
			//preload=1;
			visibleSize = 0.700121;
			speed=10000000000.000000;
			//looped=1;                         
			showWeaponAim = 1;
			disableWeapons = 0;
			disableWeaponsLong = 0;
			aiming = "aimingDefault";
			aimingBody = "aimingUpDefault";
			//relSpeedMax = 1.1;
			//relSpeedMin = 0.700001;
			aimPrecision = 1;
			camShakeFire = 1;
			weaponIK = 1;
			collisionShapeSafe = "";
	                hasCollShapeSafe = 0;
			//canpulltrigger=1;
			//*duty=-1;
                        duty = -0.4;
                        variantsPlayer[]={};
			variantsAI[]={};
			//variantsPlayer[]={"stand",0.500000,"Combat"};
			//variantsAI[]={"stand",0.300000,"stand",0.500000,"Combat"};
		};
                
               class Weapon : Default
		{
			actions="districtmechActions";
			
                        file="\districtmech\ANIM\stand.rtm";
			preload=1;
			
			//speed=10000000000.000000;
			looped=1;                           //looped=1;
			
			//canpulltrigger=1;
			duty=-1;
			variantsPlayer[]={"stand",0.500000,"Combat"};
			variantsAI[]={"stand",0.300000,"stand",0.500000,"Combat"};
                        collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;

                        //visibleSize=0.600000;
			//aimPrecision=0.650000;				
			//recoilSuffix="halffixed";

			//speed=10000000000.000000;
			//looped=0;                 //looped=1;
			//soundEnabled=0;
			//enableMissile=1;
			//duty=-1;
			//visibleSize=0.600000;
			//aimPrecision=0.650000;				
			//recoilSuffix="halffixed";
                        
		};
               
 
                 class crouch: default
		{
			actions="districtmechcrouchActions";
			file="\districtmech\ANIM\crouchreal.rtm";
			
			looped=0;
                        
			soundoverride="normal";
			soundEnabled=1;
			duty=-0.500000;           //duty=-1;
			//collisionShapeSafe = "";
	                hasCollShapeSafe = 0;
			variantAfter[]={1,3,6};
			variantsAI[]={"crouch",1};
			
                        relSpeedMin=0.700000;
			relSpeedMax=1.000000;      
                        speed=1
                        showWeaponAim = 1;
			disableWeapons = 0;
			disableWeaponsLong = 0;
			aiming = "aimingDefault";
			aimingBody = "aimingUpDefault";
			//relSpeedMax = 1.1;
			//relSpeedMin = 0.700001;
			aimPrecision = 1;
			camShakeFire = 1;
			weaponIK = 1;
                        
                       
                        
                  };





                    class crouchstill: default
		{
			 
                        actions="districtmechActions";
			file="\districtmech\ANIM\CROUCH.rtm";
			
			looped=2;
			soundoverride="normal";
			soundEnabled=1;
			
			duty=-0.500000;
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			onLandBeg=0;
			onLandEND=0;
			connectFrom[]={"stand",0.400000};
			
			connectTo[]={"crouchstillend",1};
                        
                         speed=1
                        showWeaponAim = 1;
			disableWeapons = 0;
			disableWeaponsLong = 0;
			aiming = "aimingDefault";
			aimingBody = "aimingUpDefault";
			//relSpeedMax = 1.1;
			//relSpeedMin = 0.700001;
			aimPrecision = 1;
			camShakeFire = 1;
			weaponIK = 1;
                        
                       

                        
		};
		class crouchstillend: default
		{
			actions="districtmechActions";
			file="\districtmech\ANIM\CROUCH.rtm";
		        
			looped=2;
			duty=-0.500000;
			soundoverride="normal";
			
			soundEnabled=1;
			connectFrom[]={"crouchstill",0.400000};
			
			connectTo[]={"crouch",1};
                        collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
                       
                        speed=1
                        showWeaponAim = 1;
			disableWeapons = 0;
			disableWeaponsLong = 0;
			aiming = "aimingDefault";
			aimingBody = "aimingUpDefault";
			//relSpeedMax = 1.1;
			//relSpeedMin = 0.700001;
			aimPrecision = 1;
			camShakeFire = 1;
			weaponIK = 1;
                     
                        
		};
              class lying: default
		{
			actions="districtmechlyingActions";
			file="\districtmech\ANIM\lyings.rtm";
			
			looped=0;
			soundoverride="normal";
			soundEnabled=1;
			duty=-0.500000;           //duty=-1;
			
			variantAfter[]={1,3,6};
			variantsAI[]={"lying",1};
			
                        relSpeedMin=0.700000;
			relSpeedMax=1.000000;      
                        collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
                      
                        speed=1
                        showWeaponAim = 1;
			disableWeapons = 0;
			disableWeaponsLong = 0;
			aiming = "aimingDefault";
			aimingBody = "aimingUpDefault";
			//relSpeedMax = 1.1;
			//relSpeedMin = 0.700001;
			aimPrecision = 1;
			camShakeFire = 1;
			weaponIK = 1;
                        
                     };





                    class lyingstill: default
		{
			
                        actions="districtmechActions";
			file="\districtmech\ANIM\lyingsend.rtm";
			
			looped=2;
			soundoverride="normal";
			soundEnabled=1;
			
			duty=-0.500000;
			
			onLandBeg=0;
			onLandEND=0;
			connectFrom[]={"stand",0.400000};
			
			connectTo[]={"lyingstillend",1};
                        collisionShapeSafe = "";
	               // hasCollShapeSafe = 0;
                       
                        speed=1
                        showWeaponAim = 1;
			disableWeapons = 0;
			disableWeaponsLong = 0;
			aiming = "aimingDefault";
			aimingBody = "aimingUpDefault";
			//relSpeedMax = 1.1;
			//relSpeedMin = 0.700001;
			aimPrecision = 1;
			camShakeFire = 1;
			weaponIK = 1;
                        
		};
		class lyingstillend: default
		{
			actions="districtmechActions";
			file="\districtmech\ANIM\lyingsend.rtm";
		     
			looped=2;
			duty=-0.500000;
			soundoverride="normal";
			
			soundEnabled=1;
			connectFrom[]={"lyingstill",0.400000};
			
			connectTo[]={"lying",1};
                        collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
                        
                        speed=1
                        showWeaponAim = 1;
			disableWeapons = 0;
			disableWeaponsLong = 0;
			aiming = "aimingDefault";
			aimingBody = "aimingUpDefault";
			//relSpeedMax = 1.1;
			//relSpeedMin = 0.700001;
			aimPrecision = 1;
			camShakeFire = 1;
			weaponIK = 1;

                    };

              
               class leanR: Default
		{
			//preload=0;

			actions="districtmechActions";

			file="\districtmech\ANIM\leanrr.rtm";
			camShakeFire = 1;
			speed=1
                        showWeaponAim=1;
                      
                        collisionShapeSafe = "";
	                // hasCollShapeSafe = 0;

			connectFrom[]={"leanr",1};
			connectTo[]={"leanrend",1};
                     
			soundEdge1=0.100000;
			soundEdge2=0.6;			

			soundEnabled=1;
			soundoverride="normal";

			looped=0;

			
		};
               class leanRend: leanR
		{
			//preload=0;

			actions="districtmechActions";

			file="\districtmech\ANIM\leanrrend.rtm";
			showWeaponAim=1;
                       
                        speed=1
                        camShakeFire = 1;
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;			
			connectFrom[]={"leanrend",1};
			connectTo[]={"leanrend",1};

			soundEdge1=0.100000;
			soundEdge2=0.6;			

			soundEnabled=1;
			soundoverride="normal";

			looped=0;

			
		};
		class leanL:  leanR 
		{
			
			file="\districtmech\ANIM\leanll.rtm";	
                        showWeaponAim=1;
                       
                        collisionShape = 0;
	                //hasCollShapeSafe = 0;
					
			
		};
               class leanlend: leanL
		{
			//preload=0;

			actions="districtmechActions";
                     
			file="\districtmech\ANIM\leanllend.rtm";
			
			speed=1
                        
			enableOptics=0;				

			connectFrom[]={"leanlend",1};
			connectTo[]={"leanlend",1};
                        showWeaponAim=1;
                       
                        collisionShapeSafe = "";
	                // hasCollShapeSafe = 0;
					
			soundEdge1=0.100000;
			soundEdge2=0.6;			

			soundEnabled=1;
			soundoverride="normal";

			looped=0;

			
		};

               class fastf: Default
		{
                        file="\districtmech\anim\jump.rtm";
			actions="districtmechfastfActions";
			
			//speed=1e+010;
			looped=0;
			soundoverride="sprint";
			soundEnabled=1;
			duty=-0.500000;           //duty=-1;
			//visibleSize=0.500000;
			//aimPrecision=2.000000;
                        //relspeedmin=0.7;
                        //relspeedmax=1.1;
			variantAfter[]={1,3,6};
			variantsAI[]={"fastf",1};
			//equivalentTo="fastf";
			//onLandBeg=0;
			//onLandEND=0;
		        speed=1;
                        relSpeedMin=0.700000;
			relSpeedMax=1.000000;     
                         collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;

		};
               class fastfstill: Default
		{
                        file="\districtmech\anim\jump.rtm";
                        speed=1000000.00000;
			looped=2;
			soundoverride="normal";
			soundEnabled=1;
			
			duty=-0.500000;
			//visibleSize=0.500000;
			//aimPrecision=2.000000;
			onLandBeg=0;
			onLandEND=0;
			connectFrom[]={"fastf",0.400000};
			//enableOptics=0;
			connectTo[]={"fastfsillend",1};
                        actions="districtmechActions";
			addCamShake = 1;
                        collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			
		};
		class fastfstillend: default
		{
			actions="districtmechActions";
			file="\districtmech\ANIM\jump.rtm";
		        speed=1000000.00000;
			looped=2;
			duty=-0.500000;
			soundoverride="normal";
			//soundEnabled=1;
                        //soundEdge1=0.500000;
		        //soundEdge2=1;
			soundEnabled=1;
			connectFrom[]={"fastfstill",0.400000};
			//enableOptics=0;
			connectTo[]={"fastf",1};
                        //visibleSize=0.1200;
                       collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
		};
               class up: default
		{
			actions="districtmechActions";
			file="\districtmech\anim\stand.rtm";
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			//looped=0;
			 soundoverride="normal";
			soundEnabled=1;
			//duty=-0.700000;
			//visibleSize=0.500000;
			aimPrecision=2.000000;
			//onLandBeg=0;
			//onLandEND=0;
			connectFrom[]={"Stand",0.400000};
			//enableOptics=0;
			connectTo[]={"upend",1};
                        speed=-0.800000;
			looped=2;
                        duty=-0.500000;
		};
		class upend: default
		{
			actions="districtmechActions";
			file="\districtmech\anim\up.rtm";
			speed=-0.800000;
			looped=2;             // * looped=0; 
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			soundoverride="normal";
			soundEnabled=1;
			relSpeedMin=0.700000;
			relSpeedMax=1.000000;
			connectFrom[]={"up",0.400000};
			//enableOptics=0;
			connectTo[]={"Stand",1};
                        //visibleSize=0.1200;
                        duty=-0.500000;
                        visibleSize=0.600000;
			
					
			
		};
       
               
               
               class ReloadMagazine : Default
		{
			actions="districtmechActions";
			file="\districtmech\ANIM\BARREL.rtm";
                        soundEnabled=1;
                        disableWeapons=1;
                        preload=1;
			speed=10000000000.000000;
			looped=2;
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			soundoverride="normal";
			
                        //visibleSize=0.600000;
			aimPrecision=0.75000;			
			recoilSuffix="halffixed";
			connectFrom[]={};
			connectTo[]={};
			interpolateTo[]={};
                        //conectfrom[]={"reloadmagazine",0.400000};
                        //conectto[]={"reloadmagazine",1};


			
		       
                  };

                  class smokeanim: Default
		{
                        file="\districtmech\anim\BARREL.rtm";
			actions="districtmechsmokeanimActions";
			preload=0;
			//speed=1e+010;
			looped=0;
			soundoverride="smoke";
			soundEnabled=1;
			duty=-0.500000;           //duty=-1;
			//visibleSize=0.500000;
			//aimPrecision=2.000000;
                        //relspeedmin=0.7;
                        //relspeedmax=1.1;
			//variantAfter[]={1,3,6};
			//variantsAI[]={"smokeanim",1};
			//equivalentTo="fastf";
			//onLandBeg=0;
			//onLandEND=0;
		        speed=1000.000000;
                        relSpeedMin=0.700000;
			relSpeedMax=1.000000;     
                       collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
		};
               class smokeanimstill: Default
		{
                        file="\districtmech\anim\stand.rtm";
                        speed=1000.000000;
			looped=2;
			soundoverride="smoke";
			soundEnabled=1;
			preload=0;
			duty=-0.500000;
			//visibleSize=0.500000;
			//aimPrecision=2.000000;
			onLandBeg=0;
			onLandEND=0;
			connectFrom[]={"smokeanim",0.400000};
			//enableOptics=0;
			connectTo[]={"smokeanimsillend",1};
                        actions="districtmechActions";
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			
		};
		class smokeanimstillend: default
		{
			actions="districtmechActions";
			file="\districtmech\ANIM\stand.rtm";
		        speed=1000.000000;
			looped=2;
			duty=-0.500000;
			soundoverride="smoke";
			//soundEnabled=1;
                        //soundEdge1=0.500000;
		        //soundEdge2=1;
			soundEnabled=1;
			connectFrom[]={"smokeanimstill",0.400000};
			//enableOptics=0;
			connectTo[]={"smokeanim",1};
                        //visibleSize=0.1200;
                        preload=0;
		      collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
                     };


               class smokelanim: Default
		{
                        file="\districtmech\anim\BARREL.rtm";
			actions="districtmechsmokelanimActions";
			preload=0;
			//speed=1e+010;
			looped=0;
			soundoverride="smoke";
			soundEnabled=1;
			duty=-0.500000;           //duty=-1;
			//visibleSize=0.500000;
			//aimPrecision=2.000000;
                        //relspeedmin=0.7;
                        //relspeedmax=1.1;
			variantAfter[]={1,3,6};
			variantsAI[]={"smokelanim",1};
			//equivalentTo="fastf";
			//onLandBeg=0;
			//onLandEND=0;
		        speed=1000.000000;
                        relSpeedMin=0.700000;
			relSpeedMax=1.000000;     
                      collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
		};
               class smokelanimstill: Default
		{
                        file="\districtmech\anim\stand.rtm";
                        speed=1000.000000;
			looped=2;
			soundoverride="smoke";
			soundEnabled=1;
			preload=0;
			duty=-0.500000;
			//visibleSize=0.500000;
			//aimPrecision=2.000000;
			onLandBeg=0;
			onLandEND=0;
			connectFrom[]={"smokelanim",0.400000};
			//enableOptics=0;
			connectTo[]={"smokelanimsillend",1};
                        actions="districtmechActions";
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			
		};
		class smokelanimstillend: default
		{
			actions="districtmechActions";
			file="\districtmech\ANIM\stand.rtm";
		        speed=1000.000000;
			looped=2;
			duty=-0.500000;
			soundoverride="smoke";
			//soundEnabled=1;
                        //soundEdge1=0.500000;
		        //soundEdge2=1;
			soundEnabled=1;
			connectFrom[]={"smokelanimstill",0.400000};
			//enableOptics=0;
			connectTo[]={"smokelanim",1};
                        //visibleSize=0.1200;
                        preload=0;
		      collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
                        };



               class smokeranim: Default
		{
                        file="\districtmech\anim\BARREL.rtm";
			actions="districtmechsmokeranimActions";
			preload=0;
			//speed=1e+010;
			looped=0;
			soundoverride="smoke";
			soundEnabled=1;
			duty=-0.500000;           //duty=-1;
			//visibleSize=0.500000;
			//aimPrecision=2.000000;
                        //relspeedmin=0.7;
                        //relspeedmax=1.1;
			variantAfter[]={1,3,6};
			variantsAI[]={"smokeranim",1};
			//equivalentTo="fastf";
			//onLandBeg=0;
			//onLandEND=0;
		        speed=1000.000000;
                        relSpeedMin=0.700000;
			relSpeedMax=1.000000;     
                       collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
		};
               class smokeranimstill: Default
		{
                        file="\districtmech\anim\stand.rtm";
                        speed=1000.000000;
			looped=2;
			soundoverride="smoke";
			soundEnabled=1;
			preload=0;
			duty=-0.500000;
			//visibleSize=0.500000;
			//aimPrecision=2.000000;
			onLandBeg=0;
			onLandEND=0;
			connectFrom[]={"smokeranim",0.400000};
			//enableOptics=0;
			connectTo[]={"smokeranimsillend",1};
                        actions="districtmechActions";
			
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
		};
		class smokeranimstillend: default
		{
			actions="districtmechActions";
			file="\districtmech\ANIM\stand.rtm";
		        speed=1000.000000;
			looped=2;
			duty=-0.500000;
			soundoverride="smoke";
			//soundEnabled=1;
                        //soundEdge1=0.500000;
		        //soundEdge2=1;
			soundEnabled=1;
			connectFrom[]={"smokeranimstill",0.400000};
			//enableOptics=0;
			connectTo[]={"smokeranim",1};
                        //visibleSize=0.1200;
                        preload=0;
		       collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;

                 };

             

                class stand: Default
		{
                        actions="districtmechActions";
			file="\districtmech\ANIM\STAND.rtm";
			//preload=1;
			visibleSize = 0.700121;
			speed=10000000000.000000;
			//looped=1;                         
			showWeaponAim = 1;
			disableWeapons = 0;
			disableWeaponsLong = 0;
			aiming = "aimingDefault";
			aimingBody = "aimingUpDefault";
			relSpeedMax = 1.1;
			relSpeedMin = 0.700001;
			aimPrecision = 1;
			camShakeFire = 1;
			weaponIK = 1;
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			
                        duty = -0.4;
                        variantsPlayer[]={};
			variantsAI[]={};
			//variantsPlayer[]={"stand",0.500000,"Combat"};
			//variantsAI[]={"stand",0.300000,"stand",0.500000,"Combat"};
                       
		};
		 class ghost: Default
		{
                        actions="districtmechActions";
			file="\districtmech\anim\ghost.rtm";
			
                        speed=-0.800000;
			//looped=1;
                        variantAfter[]={1,3,6};
			variantsAI[]={};
			//equivalentTo="standup";
			interpolationSpeed=2;
			interpolateTo[]={};
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			//soundEnabled=1;
                        //soundEdge1=0.500000;
		        //soundEdge2=1;
			
                       
		};
                  class ghostout: Default
		{
                        actions="districtmechActions";
			file="\districtmech\anim\ghostout.rtm";
			
                        speed=-0.800000;
			//looped=1;
                        variantAfter[]={1,3,6};
			variantsAI[]={};
			//equivalentTo="standup";
			interpolationSpeed=2;
			interpolateTo[]={};
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			//soundEnabled=1;
                        //soundEdge1=0.500000;
		        //soundEdge2=1;
			
                       
		};       
		class WalkF: Default
		{
                        file="\districtmech\anim\walkf.rtm";
			
                        speed=-0.800000;
			looped=2;
			soundEnabled=1;
			relSpeedMin=0.700000;
			relSpeedMax=1.000000;
                        
                        actions="districtmechActions";
			soundoverride="road";
			
                        collisionShapeSafe = "";
	               // hasCollShapeSafe = 0;
                        duty=-0.500000;
                        visibleSize=0.600000;
			
			aimPrecision=0.650000;				
			recoilSuffix="halffixed";


		};
		class WalkL: Default
		{
			file="\districtmech\anim\walkl.rtm";
                        //speed=1000000.00000;
                        speed=-0.800000;
			looped=2;
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;                       

                        soundEnabled=1;
			relSpeedMin=0.700000;
			relSpeedMax=1.000000;
                        
                        actions="districtmechActions";
			soundoverride="road";
                        duty=-0.500000;
                        visibleSize=0.600000;
			
			aimPrecision=0.650000;				
			recoilSuffix="halffixed";
			
		};
		class WalkR: Default
		{
			file="\districtmech\anim\walkr.rtm";
                        //speed=1000000.00000;
                        speed=-0.800000;
			looped=2;
		
                        soundEnabled=1;
			relSpeedMin=0.700000;
			relSpeedMax=1.000000;
                      collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
                        actions="districtmechActions";
			soundoverride="road";
                        duty=-0.500000;
                        visibleSize=0.600000;
			
			aimPrecision=0.650000;				
			recoilSuffix="halffixed";
		};
		
		class WalkB: WalkF
		{
			file="\districtmech\anim\walkb.rtm";
                        speed=-0.900000;
			looped=2;
			duty=-0.500000;
                      collisionShapeSafe = "";
	               // hasCollShapeSafe = 0;
		};
		
                class turnr: Default
		{
                       
			actions="districtmechActions";
			file="\districtmech\anim\turnr.rtm";
			speed=-0.800000;
                        relSpeedMin=0.700000;
		        relSpeedMax=1.000000;
			looped=2;           //looped=0;   
			soundEnabled=1;
                        soundoverride="normal";
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			
		};
                class turnrr: turnr
		{
                       
			actions="districtmechActions";
			file="\districtmech\anim\turnr.rtm";
			speed=-0.800000;
                        relSpeedMin=0.700000;
		        relSpeedMax=1.000000;
			looped=2;           //looped=0;   
			soundEnabled=1;
                        soundoverride="normal";
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
			
		};
		class turnl: turnr
		{
			file="\districtmech\anim\turnl.rtm";
                     collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
		};
                 class turnll: turnl
		{
			file="\districtmech\anim\turnl.rtm";
                      collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
		};
		class standDying: Default
		{
			actions = "NoActions";
			file="\districtmech\anim\dead.rtm";
			speed=-1.3;
			looped=false;
			onLandEnd=true;
			interpolateFrom[]={};
			connectTo[]={standDead,1};
                        soundoverride="bodyfall";
                        soundEnabled=1;
                        soundEdge1=0.500000;
		        soundEdge2=1;
                        collisionShapeSafe = "";
	               // hasCollShapeSafe = 0;
		};
		class standDead: standDying
		{
			actions = "DeadActions";
			file="\districtmech\anim\dead.rtm";
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			terminal = true; 
			connectFrom[]={};
			interpolateFrom[]={};
			connectTo[]={DeadState,10};
			variantsPlayer[]={standDead,0.5,standDeadVer2};
			variantAfter[]={0,0,0}; 
			equivalentTo=standDead;
                      collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
		};
		class standDyingVer2: standDying
		{
			file="\districtmech\anim\dead.rtm";
			connectTo[]={standDeadVer2,1};
                      collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
		};
		class standDeadVer2: standDead
		{
			file="\districtmech\anim\dead.rtm";
                      collisionShapeSafe = "";
	               // hasCollShapeSafe = 0;
		};
                
		class EffectStandTalk:  Default
		{
			actions="districtmechActions";
			file="\districtmech\anim\barrel.rtm";
			speed=-1;
			looped=0;
			
			soundOverride="walkaction";
			
			duty=-1;
			interpolationSpeed=0.7;
			interpolationRestart=true;
                       collisionShapeSafe = "";
	               // hasCollShapeSafe = 0;
			aimPrecision=0.75000;	
		};
               class EffectStand :Default
		{
			actions="StandStandActions";
			file="\districtmech\anim\stand.rtm";
			speed=-8.800000;
			looped=1;
			soundEnabled=0;
			duty=-1;
			interpolationSpeed=2;
			collisionShapeSafe = "";
	               // hasCollShapeSafe = 0;
		};
		class EffectStandStill :  Default
		{
			actions="StandActions";
			file="\districtmech\anim\stand.rtm";
			speed=10000000000.000000;
			looped=1;
			soundEnabled=0;
			equivalentTo="EffectStandStill";
			interpolationSpeed=1;
			collisionShapeSafe = "";
	                //hasCollShapeSafe = 0;
		};
		
		
		
	};
	class Interpolations
	{
	



                standF[]={1,"Stand","WalkF","leanL","leanR","fastf","smokeanim","smokelanim","smokeranim"};                
		standB[]={1,"Stand","WalkB"};

	
		combatF[]={0.900000,"Combat","walkF","fastf","walkL","walkR","leanL","leanR","smokeanim","smokelanim","smokeranim"};                

		combatB[]={1,"Combat","walkb"};

	
		crouchF[]={0.500000,"Crouch","walkF","walkL","walkR"};

		crouchFW[]={0.500000,"Crouch","walkF"};
		crouchB[]={0.500000,"Crouch","walkb";
		

	
		lyingF[]={1,"Lying","walkF","walkL","walkR","fastf"};

		lyingB[]={1,"Lying","walkb"};
		
		lyingVars[]={0.100000,"Lying","TurnL","TurnR","TurnLl","TurnRr"};
		
		
	
		combatTurnRelaxed[]={0.100000,"Combat","TurnL","TurnR","TurnLl","TurnRr"};
		combatTurn[]={0.100000,"Combat","TurnL","TurnR","TurnLl","TurnRr"};
		standTurn[]={0.100000,"Stand","TurnL","TurnR","TurnLl","TurnRr"};
		
		
		weaponF[]={1,"Weapon","walkF","fastf","walkL","walkR","leanL","leanR","smokeanim","smokelanim","smokeranim"};                  
		weaponB[]={1,"Weapon","WalkB"};
		weaponTurn[]={1,"Weapon","TurnL","TurnR","TurnLl","TurnRr"};
		//"smokeranim","smokeranimstill",1,"smokelanim","smokelanimstill",1,"smokeanim","smokeanimstill",1,
		
       };

        transitionsInterpolated[]={};
	transitionsSimple[]={"fastf","fastfstill",1,"leanr","leanrend",1,"leanl","leanlend",1,"lying","lyingstill",1,"crouch","crouchstill",1,"up","upend",1,"combat","lying",1,"lying","up",1,"combat","crouch",1,"crouch","up",1,
"combat","turnrr",1,"combat","turnll",1,"stand","turnrr",1,"stand","turnll",1,"combat","turnr",1,"combat","turnl",1,"stand","turnr",1,"stand","turnl",1,"Stand","StandDying",1,"Stand","StandDead",1,"Weapon","standDead",1,"Weapon","WeaponDyingVer2",1,"Combat","Combat",2,
"Combat","Weapon",2,
"Lying","Weapon",2,
"Weapon","Weapon",2,
"Weapon","Lying",2,
"Lying","Lying",2,
"Combat","smokeanim",2,
"smokeanim","Combat",2,
"Combat","smokelanim",2,
"smokelanim","Combat",2,
"Combat","smokeranim",2,
"smokeranim","Combat",2,
"Combat","ReloadMagazine",2,
"ReloadMagazine","Combat",2,
"Lying","ReloadMagazine",2,
"ReloadMagazine","Lying",2,
"Stand","Combat",1,
"Combat","Combat",1,
"Combat","Stand",1,
"CombatToStand","Stand",1,
"Lying","Combat",1.200000,
"Combat","Combat",1.200000,
"Combat","Lying",1.200000,
"Lying","Lying",1.200000,
"walkf","Lying",1,
"Lying","Lying",1,
"Lying","walkf",1,
"walkf","walkf",1,
"Stand","crouch",1,
"crouch","crouch",1,
"Stand","Stand",1,
"crouch","standdead",1,
"Combat","DeadState",10,
"StandDead","DeadState",10,
"Lying","DeadState",10,
"Weapon","DeadState",10,
"Weapon","DeadState",10,
"crouch","DeadState",10};
transitionsDisabled[]={};
};
